LoongArch: Add more relaxation support for call36
[binutils-gdb.git] / gas / Makefile.in
blobfde7aa7d2c349cba8bdd9d0c07733c7af17c9b22
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
15 @SET_MAKE@
18 # Copyright (C) 2012-2024 Free Software Foundation, Inc.
20 # This file is free software; you can redistribute it and/or modify
21 # it under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 3 of the License, or
23 # (at your option) any later version.
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28 # GNU General Public License for more details.
30 # You should have received a copy of the GNU General Public License
31 # along with this program; see the file COPYING3. If not see
32 # <http://www.gnu.org/licenses/>.
36 # Copyright (C) 2012-2024 Free Software Foundation, Inc.
38 # This file is free software; you can redistribute it and/or modify
39 # it under the terms of the GNU General Public License as published by
40 # the Free Software Foundation; either version 3 of the License, or
41 # (at your option) any later version.
43 # This program is distributed in the hope that it will be useful,
44 # but WITHOUT ANY WARRANTY; without even the implied warranty of
45 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
46 # GNU General Public License for more details.
48 # You should have received a copy of the GNU General Public License
49 # along with this program; see the file COPYING3. If not see
50 # <http://www.gnu.org/licenses/>.
54 VPATH = @srcdir@
55 am__is_gnu_make = { \
56 if test -z '$(MAKELEVEL)'; then \
57 false; \
58 elif test -n '$(MAKE_HOST)'; then \
59 true; \
60 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
61 true; \
62 else \
63 false; \
64 fi; \
66 am__make_running_with_option = \
67 case $${target_option-} in \
68 ?) ;; \
69 *) echo "am__make_running_with_option: internal error: invalid" \
70 "target option '$${target_option-}' specified" >&2; \
71 exit 1;; \
72 esac; \
73 has_opt=no; \
74 sane_makeflags=$$MAKEFLAGS; \
75 if $(am__is_gnu_make); then \
76 sane_makeflags=$$MFLAGS; \
77 else \
78 case $$MAKEFLAGS in \
79 *\\[\ \ ]*) \
80 bs=\\; \
81 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
82 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
83 esac; \
84 fi; \
85 skip_next=no; \
86 strip_trailopt () \
87 { \
88 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
89 }; \
90 for flg in $$sane_makeflags; do \
91 test $$skip_next = yes && { skip_next=no; continue; }; \
92 case $$flg in \
93 *=*|--*) continue;; \
94 -*I) strip_trailopt 'I'; skip_next=yes;; \
95 -*I?*) strip_trailopt 'I';; \
96 -*O) strip_trailopt 'O'; skip_next=yes;; \
97 -*O?*) strip_trailopt 'O';; \
98 -*l) strip_trailopt 'l'; skip_next=yes;; \
99 -*l?*) strip_trailopt 'l';; \
100 -[dEDm]) skip_next=yes;; \
101 -[JT]) skip_next=yes;; \
102 esac; \
103 case $$flg in \
104 *$$target_option*) has_opt=yes; break;; \
105 esac; \
106 done; \
107 test $$has_opt = yes
108 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
109 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
110 pkgdatadir = $(datadir)/@PACKAGE@
111 pkgincludedir = $(includedir)/@PACKAGE@
112 pkglibdir = $(libdir)/@PACKAGE@
113 pkglibexecdir = $(libexecdir)/@PACKAGE@
114 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
115 install_sh_DATA = $(install_sh) -c -m 644
116 install_sh_PROGRAM = $(install_sh) -c
117 install_sh_SCRIPT = $(install_sh) -c
118 INSTALL_HEADER = $(INSTALL_DATA)
119 transform = $(program_transform_name)
120 NORMAL_INSTALL = :
121 PRE_INSTALL = :
122 POST_INSTALL = :
123 NORMAL_UNINSTALL = :
124 PRE_UNINSTALL = :
125 POST_UNINSTALL = :
126 build_triplet = @build@
127 host_triplet = @host@
128 target_triplet = @target@
129 noinst_PROGRAMS = as-new$(EXEEXT)
130 EXTRA_PROGRAMS = itbl-test$(EXEEXT)
131 subdir = .
132 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
133 am__aclocal_m4_deps = $(top_srcdir)/../bfd/acinclude.m4 \
134 $(top_srcdir)/../bfd/warning.m4 $(top_srcdir)/../config/acx.m4 \
135 $(top_srcdir)/../config/depstand.m4 \
136 $(top_srcdir)/../config/gettext-sister.m4 \
137 $(top_srcdir)/../config/gettext.m4 \
138 $(top_srcdir)/../config/iconv.m4 \
139 $(top_srcdir)/../config/intlmacosx.m4 \
140 $(top_srcdir)/../config/jobserver.m4 \
141 $(top_srcdir)/../config/largefile.m4 \
142 $(top_srcdir)/../config/lcmessage.m4 \
143 $(top_srcdir)/../config/lead-dot.m4 \
144 $(top_srcdir)/../config/lib-ld.m4 \
145 $(top_srcdir)/../config/lib-link.m4 \
146 $(top_srcdir)/../config/lib-prefix.m4 \
147 $(top_srcdir)/../config/nls.m4 \
148 $(top_srcdir)/../config/override.m4 \
149 $(top_srcdir)/../config/pkg.m4 \
150 $(top_srcdir)/../config/plugins.m4 \
151 $(top_srcdir)/../config/po.m4 \
152 $(top_srcdir)/../config/progtest.m4 \
153 $(top_srcdir)/../config/zlib.m4 \
154 $(top_srcdir)/../config/zstd.m4 $(top_srcdir)/../libtool.m4 \
155 $(top_srcdir)/../ltoptions.m4 $(top_srcdir)/../ltsugar.m4 \
156 $(top_srcdir)/../ltversion.m4 $(top_srcdir)/../lt~obsolete.m4 \
157 $(top_srcdir)/acinclude.m4 $(top_srcdir)/../bfd/version.m4 \
158 $(top_srcdir)/configure.ac
159 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
160 $(ACLOCAL_M4)
161 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
162 $(am__configure_deps)
163 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
164 configure.lineno config.status.lineno
165 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
166 CONFIG_HEADER = config.h
167 CONFIG_CLEAN_FILES = gdb.ini .gdbinit po/Makefile.in
168 CONFIG_CLEAN_VPATH_FILES =
169 PROGRAMS = $(noinst_PROGRAMS)
170 am__objects_1 = app.$(OBJEXT) as.$(OBJEXT) atof-generic.$(OBJEXT) \
171 codeview.$(OBJEXT) compress-debug.$(OBJEXT) cond.$(OBJEXT) \
172 depend.$(OBJEXT) dwarf2dbg.$(OBJEXT) dw2gencfi.$(OBJEXT) \
173 ecoff.$(OBJEXT) ehopt.$(OBJEXT) expr.$(OBJEXT) \
174 flonum-copy.$(OBJEXT) flonum-konst.$(OBJEXT) \
175 flonum-mult.$(OBJEXT) frags.$(OBJEXT) gen-sframe.$(OBJEXT) \
176 ginsn.$(OBJEXT) hash.$(OBJEXT) input-file.$(OBJEXT) \
177 input-scrub.$(OBJEXT) listing.$(OBJEXT) literal.$(OBJEXT) \
178 macro.$(OBJEXT) messages.$(OBJEXT) output-file.$(OBJEXT) \
179 read.$(OBJEXT) remap.$(OBJEXT) sb.$(OBJEXT) \
180 scfidw2gen.$(OBJEXT) scfi.$(OBJEXT) sframe-opt.$(OBJEXT) \
181 stabs.$(OBJEXT) subsegs.$(OBJEXT) symbols.$(OBJEXT) \
182 write.$(OBJEXT)
183 am_as_new_OBJECTS = $(am__objects_1)
184 am__dirstamp = $(am__leading_dot)dirstamp
185 as_new_OBJECTS = $(am_as_new_OBJECTS)
186 am__DEPENDENCIES_1 =
187 am__DEPENDENCIES_2 = ../bfd/libbfd.la ../libiberty/libiberty.a
188 AM_V_lt = $(am__v_lt_@AM_V@)
189 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
190 am__v_lt_0 = --silent
191 am__v_lt_1 =
192 am_itbl_test_OBJECTS = itbl-parse.$(OBJEXT) itbl-lex.$(OBJEXT)
193 itbl_test_OBJECTS = $(am_itbl_test_OBJECTS)
194 itbl_test_DEPENDENCIES = itbl-tops.@OBJEXT@ itbl-test.@OBJEXT@ \
195 $(am__DEPENDENCIES_2)
196 SCRIPTS = $(noinst_SCRIPTS)
197 AM_V_P = $(am__v_P_@AM_V@)
198 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
199 am__v_P_0 = false
200 am__v_P_1 = :
201 AM_V_GEN = $(am__v_GEN_@AM_V@)
202 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
203 am__v_GEN_0 = @echo " GEN " $@;
204 am__v_GEN_1 =
205 AM_V_at = $(am__v_at_@AM_V@)
206 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
207 am__v_at_0 = @
208 am__v_at_1 =
209 DEFAULT_INCLUDES = -I.@am__isrc@
210 depcomp = $(SHELL) $(top_srcdir)/../depcomp
211 am__depfiles_maybe = depfiles
212 am__mv = mv -f
213 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
214 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
215 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
216 $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
217 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
218 $(AM_CFLAGS) $(CFLAGS)
219 AM_V_CC = $(am__v_CC_@AM_V@)
220 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
221 am__v_CC_0 = @echo " CC " $@;
222 am__v_CC_1 =
223 CCLD = $(CC)
224 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
225 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
226 $(AM_LDFLAGS) $(LDFLAGS) -o $@
227 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
228 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
229 am__v_CCLD_0 = @echo " CCLD " $@;
230 am__v_CCLD_1 =
231 @MAINTAINER_MODE_FALSE@am__skiplex = test -f $@ ||
232 LEXCOMPILE = $(LEX) $(AM_LFLAGS) $(LFLAGS)
233 LTLEXCOMPILE = $(LIBTOOL) $(AM_V_lt) $(AM_LIBTOOLFLAGS) \
234 $(LIBTOOLFLAGS) --mode=compile $(LEX) $(AM_LFLAGS) $(LFLAGS)
235 AM_V_LEX = $(am__v_LEX_@AM_V@)
236 am__v_LEX_ = $(am__v_LEX_@AM_DEFAULT_V@)
237 am__v_LEX_0 = @echo " LEX " $@;
238 am__v_LEX_1 =
239 YLWRAP = $(top_srcdir)/../ylwrap
240 @MAINTAINER_MODE_FALSE@am__skipyacc = test -f $@ ||
241 am__yacc_c2h = sed -e s/cc$$/hh/ -e s/cpp$$/hpp/ -e s/cxx$$/hxx/ \
242 -e s/c++$$/h++/ -e s/c$$/h/
243 YACCCOMPILE = $(YACC) $(AM_YFLAGS) $(YFLAGS)
244 LTYACCCOMPILE = $(LIBTOOL) $(AM_V_lt) $(AM_LIBTOOLFLAGS) \
245 $(LIBTOOLFLAGS) --mode=compile $(YACC) $(AM_YFLAGS) $(YFLAGS)
246 AM_V_YACC = $(am__v_YACC_@AM_V@)
247 am__v_YACC_ = $(am__v_YACC_@AM_DEFAULT_V@)
248 am__v_YACC_0 = @echo " YACC " $@;
249 am__v_YACC_1 =
250 SOURCES = $(as_new_SOURCES) $(EXTRA_as_new_SOURCES) \
251 $(itbl_test_SOURCES)
252 AM_V_DVIPS = $(am__v_DVIPS_@AM_V@)
253 am__v_DVIPS_ = $(am__v_DVIPS_@AM_DEFAULT_V@)
254 am__v_DVIPS_0 = @echo " DVIPS " $@;
255 am__v_DVIPS_1 =
256 AM_V_MAKEINFO = $(am__v_MAKEINFO_@AM_V@)
257 am__v_MAKEINFO_ = $(am__v_MAKEINFO_@AM_DEFAULT_V@)
258 am__v_MAKEINFO_0 = @echo " MAKEINFO" $@;
259 am__v_MAKEINFO_1 =
260 AM_V_INFOHTML = $(am__v_INFOHTML_@AM_V@)
261 am__v_INFOHTML_ = $(am__v_INFOHTML_@AM_DEFAULT_V@)
262 am__v_INFOHTML_0 = @echo " INFOHTML" $@;
263 am__v_INFOHTML_1 =
264 AM_V_TEXI2DVI = $(am__v_TEXI2DVI_@AM_V@)
265 am__v_TEXI2DVI_ = $(am__v_TEXI2DVI_@AM_DEFAULT_V@)
266 am__v_TEXI2DVI_0 = @echo " TEXI2DVI" $@;
267 am__v_TEXI2DVI_1 =
268 AM_V_TEXI2PDF = $(am__v_TEXI2PDF_@AM_V@)
269 am__v_TEXI2PDF_ = $(am__v_TEXI2PDF_@AM_DEFAULT_V@)
270 am__v_TEXI2PDF_0 = @echo " TEXI2PDF" $@;
271 am__v_TEXI2PDF_1 =
272 AM_V_texinfo = $(am__v_texinfo_@AM_V@)
273 am__v_texinfo_ = $(am__v_texinfo_@AM_DEFAULT_V@)
274 am__v_texinfo_0 = -q
275 am__v_texinfo_1 =
276 AM_V_texidevnull = $(am__v_texidevnull_@AM_V@)
277 am__v_texidevnull_ = $(am__v_texidevnull_@AM_DEFAULT_V@)
278 am__v_texidevnull_0 = > /dev/null
279 am__v_texidevnull_1 =
280 INFO_DEPS = doc/as.info
281 TEXINFO_TEX = $(top_srcdir)/../texinfo.tex
282 am__TEXINFO_TEX_DIR = $(top_srcdir)/..
283 DVIS = doc/as.dvi
284 PDFS = doc/as.pdf
285 PSS = doc/as.ps
286 HTMLS = doc/as.html
287 TEXINFOS = doc/as.texi
288 TEXI2PDF = $(TEXI2DVI) --pdf --batch
289 MAKEINFOHTML = $(MAKEINFO) --html
290 AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
291 DVIPS = dvips
292 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
293 ctags-recursive dvi-recursive html-recursive info-recursive \
294 install-data-recursive install-dvi-recursive \
295 install-exec-recursive install-html-recursive \
296 install-info-recursive install-pdf-recursive \
297 install-ps-recursive install-recursive installcheck-recursive \
298 installdirs-recursive pdf-recursive ps-recursive \
299 tags-recursive uninstall-recursive
300 am__can_run_installinfo = \
301 case $$AM_UPDATE_INFO_DIR in \
302 n|no|NO) false;; \
303 *) (install-info --version) >/dev/null 2>&1;; \
304 esac
305 am__installdirs = "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"
306 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
307 am__vpath_adj = case $$p in \
308 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
309 *) f=$$p;; \
310 esac;
311 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
312 am__install_max = 40
313 am__nobase_strip_setup = \
314 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
315 am__nobase_strip = \
316 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
317 am__nobase_list = $(am__nobase_strip_setup); \
318 for p in $$list; do echo "$$p $$p"; done | \
319 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
320 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
321 if (++n[$$2] == $(am__install_max)) \
322 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
323 END { for (dir in files) print dir, files[dir] }'
324 am__base_list = \
325 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
326 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
327 am__uninstall_files_from_dir = { \
328 test -z "$$files" \
329 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
330 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
331 $(am__cd) "$$dir" && rm -f $$files; }; \
333 man1dir = $(mandir)/man1
334 NROFF = nroff
335 MANS = $(man_MANS)
336 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
337 distclean-recursive maintainer-clean-recursive
338 am__recursive_targets = \
339 $(RECURSIVE_TARGETS) \
340 $(RECURSIVE_CLEAN_TARGETS) \
341 $(am__extra_recursive_targets)
342 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
343 cscope
344 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
345 $(LISP)config.in
346 # Read a list of newline-separated strings from the standard input,
347 # and print each of them once, without duplicates. Input order is
348 # *not* preserved.
349 am__uniquify_input = $(AWK) '\
350 BEGIN { nonempty = 0; } \
351 { items[$$0] = 1; nonempty = 1; } \
352 END { if (nonempty) { for (i in items) print i; }; } \
354 # Make sure the list of sources is unique. This is necessary because,
355 # e.g., the same source file might be shared among _SOURCES variables
356 # for different programs/libraries.
357 am__define_uniq_tagged_files = \
358 list='$(am__tagged_files)'; \
359 unique=`for i in $$list; do \
360 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
361 done | $(am__uniquify_input)`
362 ETAGS = etags
363 CTAGS = ctags
364 CSCOPE = cscope
365 DEJATOOL = $(PACKAGE)
366 RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
367 DIST_SUBDIRS = $(SUBDIRS)
368 ACLOCAL = @ACLOCAL@
369 AMTAR = @AMTAR@
370 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
371 AR = @AR@
372 AUTOCONF = @AUTOCONF@
373 AUTOHEADER = @AUTOHEADER@
374 AUTOMAKE = @AUTOMAKE@
375 AWK = @AWK@
376 CATALOGS = @CATALOGS@
377 CATOBJEXT = @CATOBJEXT@
378 CC = @CC@
379 CCDEPMODE = @CCDEPMODE@
380 CFLAGS = @CFLAGS@
381 CPP = @CPP@
382 CPPFLAGS = @CPPFLAGS@
383 CYGPATH_W = @CYGPATH_W@
384 DATADIRNAME = @DATADIRNAME@
385 DEFS = @DEFS@
386 DEPDIR = @DEPDIR@
387 DSYMUTIL = @DSYMUTIL@
388 DUMPBIN = @DUMPBIN@
389 ECHO_C = @ECHO_C@
390 ECHO_N = @ECHO_N@
391 ECHO_T = @ECHO_T@
392 EGREP = @EGREP@
393 EXEEXT = @EXEEXT@
394 FGREP = @FGREP@
395 GDBINIT = @GDBINIT@
396 GENCAT = @GENCAT@
397 GMSGFMT = @GMSGFMT@
398 GREP = @GREP@
399 INCINTL = @INCINTL@
400 INSTALL = @INSTALL@
401 INSTALL_DATA = @INSTALL_DATA@
402 INSTALL_PROGRAM = @INSTALL_PROGRAM@
403 INSTALL_SCRIPT = @INSTALL_SCRIPT@
404 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
405 INSTOBJEXT = @INSTOBJEXT@
406 INTLLIBS = @INTLLIBS@
407 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
408 LARGEFILE_CPPFLAGS = @LARGEFILE_CPPFLAGS@
409 LD = @LD@
410 LDFLAGS = @LDFLAGS@
411 LEX = `if [ -f ../flex/flex ] ; then echo ../flex/flex ; else echo @LEX@ ; fi`
412 LEXLIB = @LEXLIB@
413 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
414 LIBICONV = @LIBICONV@
415 LIBINTL = @LIBINTL@
416 LIBINTL_DEP = @LIBINTL_DEP@
417 LIBM = @LIBM@
418 LIBOBJS = @LIBOBJS@
419 LIBS = @LIBS@
420 LIBTOOL = @LIBTOOL@
421 LIPO = @LIPO@
422 LN_S = @LN_S@
423 LTLIBICONV = @LTLIBICONV@
424 LTLIBINTL = @LTLIBINTL@
425 LTLIBOBJS = @LTLIBOBJS@
426 MAINT = @MAINT@
427 MAKEINFO = @MAKEINFO@
428 MKDIR_P = @MKDIR_P@
429 MKINSTALLDIRS = @MKINSTALLDIRS@
430 MSGFMT = @MSGFMT@
431 MSGMERGE = @MSGMERGE@
432 NM = @NM@
433 NMEDIT = @NMEDIT@
434 NO_WERROR = @NO_WERROR@
435 OBJDUMP = @OBJDUMP@
436 OBJEXT = @OBJEXT@
437 OPCODES_LIB = @OPCODES_LIB@
438 OTOOL = @OTOOL@
439 OTOOL64 = @OTOOL64@
440 PACKAGE = @PACKAGE@
441 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
442 PACKAGE_NAME = @PACKAGE_NAME@
443 PACKAGE_STRING = @PACKAGE_STRING@
444 PACKAGE_TARNAME = @PACKAGE_TARNAME@
445 PACKAGE_URL = @PACKAGE_URL@
446 PACKAGE_VERSION = @PACKAGE_VERSION@
447 PATH_SEPARATOR = @PATH_SEPARATOR@
448 PKG_CONFIG = @PKG_CONFIG@
449 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
450 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
451 POSUB = @POSUB@
452 RANLIB = @RANLIB@
453 SED = @SED@
454 SET_MAKE = @SET_MAKE@
455 SHELL = @SHELL@
456 STRIP = @STRIP@
457 USE_NLS = @USE_NLS@
458 VERSION = @VERSION@
459 WARN_CFLAGS = @WARN_CFLAGS@ @WARN_WRITE_STRINGS@
460 WARN_CFLAGS_FOR_BUILD = @WARN_CFLAGS_FOR_BUILD@
461 WARN_WRITE_STRINGS = @WARN_WRITE_STRINGS@
462 XGETTEXT = @XGETTEXT@
463 YACC = `if [ -f ../bison/bison ] ; then echo ../bison/bison -y -L../bison/bison ; else echo @YACC@ ; fi`
464 YFLAGS = @YFLAGS@
465 ZSTD_CFLAGS = @ZSTD_CFLAGS@
466 ZSTD_LIBS = @ZSTD_LIBS@
467 abs_builddir = @abs_builddir@
468 abs_srcdir = @abs_srcdir@
469 abs_top_builddir = @abs_top_builddir@
470 abs_top_srcdir = @abs_top_srcdir@
471 ac_ct_CC = @ac_ct_CC@
472 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
473 am__include = @am__include@
474 am__leading_dot = @am__leading_dot@
475 am__quote = @am__quote@
476 am__tar = @am__tar@
477 am__untar = @am__untar@
478 atof = @atof@
479 bindir = @bindir@
480 build = @build@
481 build_alias = @build_alias@
482 build_cpu = @build_cpu@
483 build_os = @build_os@
484 build_vendor = @build_vendor@
485 builddir = @builddir@
486 cgen_cpu_prefix = @cgen_cpu_prefix@
487 datadir = @datadir@
488 datarootdir = @datarootdir@
489 do_compare = @do_compare@
490 docdir = @docdir@
491 dvidir = @dvidir@
492 exec_prefix = @exec_prefix@
493 extra_objects = @extra_objects@
494 host = @host@
495 host_alias = @host_alias@
496 host_cpu = @host_cpu@
497 host_os = @host_os@
498 host_vendor = @host_vendor@
499 htmldir = @htmldir@
500 includedir = @includedir@
501 infodir = @infodir@
502 install_sh = @install_sh@
503 install_tooldir = @install_tooldir@
504 libdir = @libdir@
505 libexecdir = @libexecdir@
506 localedir = @localedir@
507 localstatedir = @localstatedir@
508 mandir = @mandir@
509 mkdir_p = @mkdir_p@
510 obj_format = @obj_format@
511 oldincludedir = @oldincludedir@
512 pdfdir = @pdfdir@
513 prefix = @prefix@
514 program_transform_name = @program_transform_name@
515 psdir = @psdir@
516 sbindir = @sbindir@
517 sharedstatedir = @sharedstatedir@
518 srcdir = @srcdir@
519 sysconfdir = @sysconfdir@
520 target = @target@
521 target_alias = @target_alias@
522 target_cpu = @target_cpu@
523 target_cpu_type = @target_cpu_type@
524 target_os = @target_os@
525 target_vendor = @target_vendor@
526 te_file = @te_file@
527 top_build_prefix = @top_build_prefix@
528 top_builddir = @top_builddir@
529 top_srcdir = @top_srcdir@
530 zlibdir = @zlibdir@
531 zlibinc = @zlibinc@
532 AUTOMAKE_OPTIONS = dejagnu foreign no-dist subdir-objects info-in-builddir no-texinfo.tex
533 ACLOCAL_AMFLAGS = -I .. -I ../config -I ../bfd
534 MAINTAINERCLEANFILES = doc/asconfig.texi doc/as.info
535 SUBDIRS = po
536 tooldir = $(exec_prefix)/$(target_alias)
538 # This is where we get zlib from. zlibdir is -L../zlib and zlibinc is
539 # -I../zlib, unless we were configured with --with-system-zlib, in which
540 # case both are empty.
541 ZLIB = @zlibdir@ -lz
542 ZLIBINC = @zlibinc@
544 # Automake 1.10+ disables lex and yacc output file regeneration if
545 # maintainer mode is disabled. Avoid this.
546 am__skiplex =
547 am__skipyacc =
548 AM_CFLAGS = $(WARN_CFLAGS) $(ZLIBINC) $(ZSTD_CFLAGS)
549 TARG_CPU = @target_cpu_type@
550 TARG_CPU_C = $(srcdir)/config/tc-@target_cpu_type@.c
551 TARG_CPU_O = config/tc-@target_cpu_type@.@OBJEXT@
552 TARG_CPU_H = $(srcdir)/config/tc-@target_cpu_type@.h
553 OBJ_FORMAT_C = $(srcdir)/config/obj-@obj_format@.c
554 OBJ_FORMAT_O = config/obj-@obj_format@.@OBJEXT@
555 OBJ_FORMAT_H = $(srcdir)/config/obj-@obj_format@.h
556 TARG_ENV_H = $(srcdir)/config/te-@te_file@.h
557 ATOF_TARG_C = $(srcdir)/config/atof-@atof@.c
558 ATOF_TARG_O = config/atof-@atof@.@OBJEXT@
560 # use @target_cpu_type@ for refering to configured target name
561 IT_HDRS = itbl-parse.h $(srcdir)/itbl-ops.h
562 IT_SRCS = itbl-parse.c itbl-lex-wrapper.c $(srcdir)/itbl-ops.c
563 IT_DEPS = $(srcdir)/itbl-parse.y $(srcdir)/itbl-lex.l $(srcdir)/config/itbl-@target_cpu_type@.h
564 IT_OBJS = itbl-parse.@OBJEXT@ itbl-lex.@OBJEXT@ itbl-ops.@OBJEXT@
566 # Regular source files.
567 GAS_CFILES = \
568 app.c \
569 as.c \
570 atof-generic.c \
571 codeview.c \
572 compress-debug.c \
573 cond.c \
574 depend.c \
575 dwarf2dbg.c \
576 dw2gencfi.c \
577 ecoff.c \
578 ehopt.c \
579 expr.c \
580 flonum-copy.c \
581 flonum-konst.c \
582 flonum-mult.c \
583 frags.c \
584 gen-sframe.c \
585 ginsn.c \
586 hash.c \
587 input-file.c \
588 input-scrub.c \
589 listing.c \
590 literal.c \
591 macro.c \
592 messages.c \
593 output-file.c \
594 read.c \
595 remap.c \
596 sb.c \
597 scfidw2gen.c \
598 scfi.c \
599 sframe-opt.c \
600 stabs.c \
601 subsegs.c \
602 symbols.c \
603 write.c
605 CFILES = $(GAS_CFILES) itbl-ops.c cgen.c
606 HFILES = \
607 as.h \
608 asintl.h \
609 bignum.h \
610 bit_fix.h \
611 cgen.h \
612 codeview.h \
613 compress-debug.h \
614 dwarf2dbg.h \
615 dw2gencfi.h \
616 ecoff.h \
617 emul-target.h \
618 emul.h \
619 expr.h \
620 flonum.h \
621 frags.h \
622 gen-sframe.h \
623 ginsn.h \
624 hash.h \
625 input-file.h \
626 itbl-lex.h \
627 itbl-ops.h \
628 listing.h \
629 macro.h \
630 obj.h \
631 output-file.h \
632 read.h \
633 sb.h \
634 scfidw2gen.h \
635 scfi.h \
636 subsegs.h \
637 symbols.h \
638 tc.h \
639 write.h
642 # CPU files in config.
643 TARGET_CPU_CFILES = \
644 config/tc-aarch64.c \
645 config/tc-alpha.c \
646 config/tc-arc.c \
647 config/tc-arm.c \
648 config/tc-avr.c \
649 config/tc-bfin.c \
650 config/tc-bpf.c \
651 config/tc-cr16.c \
652 config/tc-cris.c \
653 config/tc-crx.c \
654 config/tc-csky.c \
655 config/tc-d10v.c \
656 config/tc-d30v.c \
657 config/tc-dlx.c \
658 config/tc-epiphany.c \
659 config/tc-fr30.c \
660 config/tc-frv.c \
661 config/tc-ft32.c \
662 config/tc-h8300.c \
663 config/tc-hppa.c \
664 config/tc-ia64.c \
665 config/tc-i386.c \
666 config/tc-ip2k.c \
667 config/tc-iq2000.c \
668 config/tc-kvx.c \
669 config/tc-lm32.c \
670 config/tc-loongarch.c \
671 config/tc-m32c.c \
672 config/tc-m32r.c \
673 config/tc-m68hc11.c \
674 config/tc-m68k.c \
675 config/tc-s12z.c \
676 config/tc-mcore.c \
677 config/tc-mep.c \
678 config/tc-metag.c \
679 config/tc-microblaze.c \
680 config/tc-mips.c \
681 config/tc-mmix.c \
682 config/tc-mn10200.c \
683 config/tc-mn10300.c \
684 config/tc-moxie.c \
685 config/tc-msp430.c \
686 config/tc-mt.c \
687 config/tc-nds32.c \
688 config/tc-nios2.c \
689 config/tc-ns32k.c \
690 config/tc-or1k.c \
691 config/tc-pdp11.c \
692 config/tc-pj.c \
693 config/tc-ppc.c \
694 config/tc-pru.c \
695 config/tc-riscv.c \
696 config/tc-rl78.c \
697 config/tc-rx.c \
698 config/tc-s390.c \
699 config/tc-score.c \
700 config/tc-sh.c \
701 config/tc-sparc.c \
702 config/tc-spu.c \
703 config/tc-tic30.c \
704 config/tc-tic4x.c \
705 config/tc-tic54x.c \
706 config/tc-tic6x.c \
707 config/tc-tilegx.c \
708 config/tc-tilepro.c \
709 config/tc-v850.c \
710 config/tc-vax.c \
711 config/tc-visium.c \
712 config/tc-wasm32.c \
713 config/tc-xstormy16.c \
714 config/tc-xgate.c \
715 config/tc-xtensa.c \
716 config/tc-z80.c \
717 config/tc-z8k.c
719 TARGET_CPU_HFILES = \
720 config/tc-aarch64.h \
721 config/tc-alpha.h \
722 config/tc-arc.h \
723 config/tc-arm.h \
724 config/tc-avr.h \
725 config/tc-bfin.h \
726 config/tc-bpf.h \
727 config/tc-cr16.h \
728 config/tc-cris.h \
729 config/tc-crx.h \
730 config/tc-csky.h \
731 config/tc-d10v.h \
732 config/tc-d30v.h \
733 config/tc-dlx.h \
734 config/tc-epiphany.h \
735 config/tc-fr30.h \
736 config/tc-frv.h \
737 config/tc-ft32.h \
738 config/tc-h8300.h \
739 config/tc-hppa.h \
740 config/tc-ia64.h \
741 config/tc-i386.h \
742 config/tc-ip2k.h \
743 config/tc-iq2000.h \
744 config/tc-kvx.h \
745 config/tc-lm32.h \
746 config/tc-m32c.h \
747 config/tc-m32r.h \
748 config/tc-m68hc11.h \
749 config/tc-m68k.h \
750 config/tc-s12z.h \
751 config/tc-mcore.h \
752 config/tc-mep.h \
753 config/tc-metag.h \
754 config/tc-microblaze.h \
755 config/tc-mips.h \
756 config/tc-mmix.h \
757 config/tc-mn10200.h \
758 config/tc-mn10300.h \
759 config/tc-msp430.h \
760 config/tc-mt.h \
761 config/tc-nds32.h \
762 config/tc-nios2.h \
763 config/tc-ns32k.h \
764 config/tc-or1k.h \
765 config/tc-pdp11.h \
766 config/tc-pj.h \
767 config/tc-ppc.h \
768 config/tc-pru.h \
769 config/tc-riscv.h \
770 config/tc-rl78.h \
771 config/tc-rx.h \
772 config/tc-s390.h \
773 config/tc-score.h \
774 config/tc-sh.h \
775 config/tc-sparc.h \
776 config/tc-spu.h \
777 config/tc-tic30.h \
778 config/tc-tic4x.h \
779 config/tc-tic54x.h \
780 config/tc-tic6x.h \
781 config/tc-tilegx.h \
782 config/tc-tilepro.h \
783 config/tc-v850.h \
784 config/tc-vax.h \
785 config/tc-visium.h \
786 config/tc-wasm32.h \
787 config/tc-xstormy16.h \
788 config/tc-xgate.h \
789 config/tc-xtensa.h \
790 config/tc-z80.h \
791 config/tc-z8k.h
793 TARGET_EXTRA_FILES = \
794 config/bfin-lex-wrapper.c \
795 config/xtensa-relax.c \
796 config/xtensa-relax.h \
797 config/kvx-parse.h \
798 config/kvx-parse.c
801 # OBJ files in config
802 OBJ_FORMAT_CFILES = \
803 config/obj-aout.c \
804 config/obj-coff.c \
805 config/obj-ecoff.c \
806 config/obj-elf.c \
807 config/obj-evax.c \
808 config/obj-fdpicelf.c \
809 config/obj-macho.c \
810 config/obj-multi.c \
811 config/obj-som.c
813 OBJ_FORMAT_HFILES = \
814 config/obj-aout.h \
815 config/obj-coff.h \
816 config/obj-ecoff.h \
817 config/obj-elf.h \
818 config/obj-evax.h \
819 config/obj-fdpicelf.h \
820 config/obj-macho.h \
821 config/obj-multi.h \
822 config/obj-som.h
825 # Emulation header files in config
826 TARG_ENV_HFILES = \
827 config/te-386bsd.h \
828 config/te-aix5.h \
829 config/te-armeabi.h \
830 config/te-armfbsdeabi.h \
831 config/te-armfbsdvfp.h \
832 config/te-armlinuxeabi.h \
833 config/te-csky_abiv1.h \
834 config/te-csky_abiv1_linux.h \
835 config/te-csky_abiv2.h \
836 config/te-csky_abiv2_linux.h \
837 config/te-freebsd.h \
838 config/te-generic.h \
839 config/te-gnu.h \
840 config/te-go32.h \
841 config/te-hppa.h \
842 config/te-hppa64.h \
843 config/te-hppalinux64.h \
844 config/te-interix.h \
845 config/te-lynx.h \
846 config/te-macos.h \
847 config/te-nbsd.h \
848 config/te-nbsd532.h \
849 config/te-pc532mach.h \
850 config/te-pe.h \
851 config/te-solaris.h \
852 config/te-tmips.h \
853 config/te-vxworks.h \
854 config/te-wince-pe.h
856 TARG_ENV_CFILES = \
857 config/te-vms.c
860 # Multi files in config
861 MULTI_CFILES = \
862 config/e-crisaout.c \
863 config/e-criself.c \
864 config/e-mipself.c
866 CONFIG_ATOF_CFILES = \
867 config/atof-ieee.c \
868 config/atof-vax.c
870 POTFILES = $(MULTI_CFILES) $(CONFIG_ATOF_CFILES) \
871 $(TARG_ENV_HFILES) $(TARG_ENV_CFILES) $(OBJ_FORMAT_HFILES) \
872 $(OBJ_FORMAT_CFILES) $(TARGET_CPU_HFILES) $(TARGET_CPU_CFILES) \
873 $(TARGET_EXTRA_FILES) $(HFILES) $(CFILES)
875 noinst_SCRIPTS = $(GDBINIT)
876 EXTRA_SCRIPTS = .gdbinit
877 EXTRA_DIST = config/m68k-parse.c itbl-parse.c itbl-parse.h itbl-lex.c \
878 config/bfin-parse.c config/bfin-parse.h config/bfin-lex.c \
879 config/rl78-parse.c config/rl78-parse.h \
880 config/rx-parse.c config/rx-parse.h \
881 config/loongarch-parse.c config/loongarch-parse.h config/loongarch-lex.c
883 DISTCLEANFILES = targ-cpu.h obj-format.h targ-env.h itbl-cpu.h cgen-desc.h
885 # Now figure out from those variables how to compile and link.
886 BASEDIR = $(srcdir)/..
887 BFDDIR = $(BASEDIR)/bfd
888 INCDIR = $(BASEDIR)/include
890 # This is the variable actually used when we compile.
891 # Specify the directories to be searched for header files.
892 # Both . and srcdir are used, in that order,
893 # so that tm.h and config.h will be found in the compilation
894 # subdirectory rather than in the source directory.
895 AM_CPPFLAGS = -I. -I$(srcdir) -I../bfd -I$(srcdir)/config \
896 -I$(INCDIR) -I$(srcdir)/.. -I$(BFDDIR) @INCINTL@ @LARGEFILE_CPPFLAGS@ \
897 -DLOCALEDIR="\"$(datadir)/locale\""
900 # How to link with both our special library facilities
901 # and the system's installed libraries.
902 GASLIBS = @OPCODES_LIB@ ../bfd/libbfd.la ../libiberty/libiberty.a
904 # Files to be copied away after each stage in building.
905 STAGESTUFF = *.@OBJEXT@ $(noinst_PROGRAMS)
906 as_new_SOURCES = $(GAS_CFILES)
907 as_new_LDADD = $(TARG_CPU_O) $(OBJ_FORMAT_O) $(ATOF_TARG_O) \
908 $(extra_objects) $(GASLIBS) $(LIBINTL) $(LIBM) $(ZLIB) $(ZSTD_LIBS)
910 as_new_DEPENDENCIES = $(TARG_CPU_O) $(OBJ_FORMAT_O) $(ATOF_TARG_O) \
911 $(extra_objects) $(GASLIBS) $(LIBINTL_DEP)
914 # The LoongArch lexical analyzer and parser.
915 EXTRA_as_new_SOURCES = $(CFILES) $(HFILES) $(TARGET_CPU_CFILES) \
916 $(TARGET_CPU_HFILES) $(TARGET_EXTRA_FILES) $(TARG_ENV_CFILES) \
917 $(OBJ_FORMAT_CFILES) $(OBJ_FORMAT_HFILES) \
918 $(CONFIG_ATOF_CFILES) $(MULTI_CFILES) config/m68k-parse.y \
919 config/bfin-parse.y config/bfin-lex.l config/rl78-parse.y \
920 config/rx-parse.y config/loongarch-parse.y \
921 config/loongarch-lex.l
922 EXPECT = expect
923 RUNTEST = runtest
924 RUNTESTFLAGS =
925 i386_tbl_deps = $(srcdir)/../opcodes/i386-opc.tbl \
926 $(srcdir)/../opcodes/i386-reg.tbl \
927 $(srcdir)/../opcodes/i386-gen.c $(srcdir)/../opcodes/i386-opc.h
929 itbl_test_SOURCES = itbl-parse.y itbl-lex.l
930 itbl_test_LDADD = itbl-tops.@OBJEXT@ itbl-test.@OBJEXT@ $(GASLIBS) @LEXLIB@
932 # CGEN interface.
933 CGEN_CPU_PREFIX = @cgen_cpu_prefix@
935 # Remake the info files.
936 MOSTLYCLEANFILES = $(STAGESTUFF) core \
937 testsuite/*.@OBJEXT@ testsuite/*.out testsuite/gas.log testsuite/gas.sum \
938 testsuite/site.exp site.bak site.exp development.exp stage stage1 stage2
940 against = stage2
942 # Reconfigure if configure.tgt changes.
943 # development.sh is used to determine -Werror default.
944 CONFIG_STATUS_DEPENDENCIES = $(srcdir)/configure.tgt $(BFDDIR)/development.sh
945 EXTRA_DEJAGNU_SITE_CONFIG = development.exp
947 # What version of the manual you want; "all" includes everything
948 CONFIG = all
950 # Options to extract the man page from as.texi
951 MANCONF = -Dman
952 TEXI2POD = perl $(BASEDIR)/etc/texi2pod.pl $(AM_MAKEINFOFLAGS)
953 POD2MAN = pod2man --center="GNU Development Tools" \
954 --release="binutils-$(VERSION)" --section=1
956 man_MANS = doc/as.1
957 info_TEXINFOS = doc/as.texi
958 doc_as_TEXINFOS = doc/asconfig.texi $(CPU_DOCS)
959 AM_MAKEINFOFLAGS = -I "$(srcdir)/doc" -I doc -I "$(srcdir)/../libiberty" \
960 -I "$(srcdir)/../bfd/doc" -I ../bfd/doc \
961 --no-split
963 TEXI2DVI = texi2dvi -I "$(srcdir)/doc" -I doc -I "$(srcdir)/../libiberty" \
964 -I "$(srcdir)/../bfd/doc" -I ../bfd/doc
966 CPU_DOCS = \
967 doc/c-aarch64.texi \
968 doc/c-alpha.texi \
969 doc/c-arc.texi \
970 doc/c-arm.texi \
971 doc/c-avr.texi \
972 doc/c-bfin.texi \
973 doc/c-bpf.texi \
974 doc/c-cr16.texi \
975 doc/c-cris.texi \
976 doc/c-csky.texi \
977 doc/c-d10v.texi \
978 doc/c-epiphany.texi \
979 doc/c-h8300.texi \
980 doc/c-hppa.texi \
981 doc/c-i386.texi \
982 doc/c-ip2k.texi \
983 doc/c-kvx.texi \
984 doc/c-lm32.texi \
985 doc/c-m32c.texi \
986 doc/c-m32r.texi \
987 doc/c-m68hc11.texi \
988 doc/c-m68k.texi \
989 doc/c-s12z.texi \
990 doc/c-metag.texi \
991 doc/c-microblaze.texi \
992 doc/c-mips.texi \
993 doc/c-mmix.texi \
994 doc/c-mt.texi \
995 doc/c-msp430.texi \
996 doc/c-nios2.texi \
997 doc/c-nds32.texi \
998 doc/c-ns32k.texi \
999 doc/c-or1k.texi \
1000 doc/c-pdp11.texi \
1001 doc/c-pj.texi \
1002 doc/c-ppc.texi \
1003 doc/c-pru.texi \
1004 doc/c-rl78.texi \
1005 doc/c-riscv.texi \
1006 doc/c-rx.texi \
1007 doc/c-s390.texi \
1008 doc/c-score.texi \
1009 doc/c-sh.texi \
1010 doc/c-sparc.texi \
1011 doc/c-tic54x.texi \
1012 doc/c-tic6x.texi \
1013 doc/c-tilegx.texi \
1014 doc/c-tilepro.texi \
1015 doc/c-v850.texi \
1016 doc/c-vax.texi \
1017 doc/c-visium.texi \
1018 doc/c-xgate.texi \
1019 doc/c-xstormy16.texi \
1020 doc/c-xtensa.texi \
1021 doc/c-z80.texi \
1022 doc/c-z8k.texi
1025 # This one isn't ready for prime time yet. Not even a little bit.
1026 noinst_TEXINFOS = doc/internals.texi
1027 all: config.h
1028 $(MAKE) $(AM_MAKEFLAGS) all-recursive
1030 .SUFFIXES:
1031 .SUFFIXES: .c .dvi .l .lo .o .obj .ps .y
1032 am--refresh: Makefile
1034 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/doc/local.mk $(am__configure_deps)
1035 @for dep in $?; do \
1036 case '$(am__configure_deps)' in \
1037 *$$dep*) \
1038 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
1039 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
1040 && exit 0; \
1041 exit 1;; \
1042 esac; \
1043 done; \
1044 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
1045 $(am__cd) $(top_srcdir) && \
1046 $(AUTOMAKE) --foreign Makefile
1047 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
1048 @case '$?' in \
1049 *config.status*) \
1050 echo ' $(SHELL) ./config.status'; \
1051 $(SHELL) ./config.status;; \
1052 *) \
1053 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
1054 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
1055 esac;
1056 $(srcdir)/doc/local.mk $(am__empty):
1058 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
1059 $(SHELL) ./config.status --recheck
1061 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
1062 $(am__cd) $(srcdir) && $(AUTOCONF)
1063 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
1064 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
1065 $(am__aclocal_m4_deps):
1067 config.h: stamp-h1
1068 @test -f $@ || rm -f stamp-h1
1069 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
1071 stamp-h1: $(srcdir)/config.in $(top_builddir)/config.status
1072 @rm -f stamp-h1
1073 cd $(top_builddir) && $(SHELL) ./config.status config.h
1074 $(srcdir)/config.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
1075 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
1076 rm -f stamp-h1
1077 touch $@
1079 distclean-hdr:
1080 -rm -f config.h stamp-h1
1081 gdb.ini: $(top_builddir)/config.status $(srcdir)/gdbinit.in
1082 cd $(top_builddir) && $(SHELL) ./config.status $@
1083 .gdbinit: $(top_builddir)/config.status $(srcdir)/gdbinit.in
1084 cd $(top_builddir) && $(SHELL) ./config.status $@
1085 po/Makefile.in: $(top_builddir)/config.status $(top_srcdir)/po/Make-in
1086 cd $(top_builddir) && $(SHELL) ./config.status $@
1088 clean-noinstPROGRAMS:
1089 @list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
1090 echo " rm -f" $$list; \
1091 rm -f $$list || exit $$?; \
1092 test -n "$(EXEEXT)" || exit 0; \
1093 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
1094 echo " rm -f" $$list; \
1095 rm -f $$list
1096 config/$(am__dirstamp):
1097 @$(MKDIR_P) config
1098 @: > config/$(am__dirstamp)
1099 config/$(DEPDIR)/$(am__dirstamp):
1100 @$(MKDIR_P) config/$(DEPDIR)
1101 @: > config/$(DEPDIR)/$(am__dirstamp)
1102 config/tc-aarch64.$(OBJEXT): config/$(am__dirstamp) \
1103 config/$(DEPDIR)/$(am__dirstamp)
1104 config/tc-alpha.$(OBJEXT): config/$(am__dirstamp) \
1105 config/$(DEPDIR)/$(am__dirstamp)
1106 config/tc-arc.$(OBJEXT): config/$(am__dirstamp) \
1107 config/$(DEPDIR)/$(am__dirstamp)
1108 config/tc-arm.$(OBJEXT): config/$(am__dirstamp) \
1109 config/$(DEPDIR)/$(am__dirstamp)
1110 config/tc-avr.$(OBJEXT): config/$(am__dirstamp) \
1111 config/$(DEPDIR)/$(am__dirstamp)
1112 config/tc-bfin.$(OBJEXT): config/$(am__dirstamp) \
1113 config/$(DEPDIR)/$(am__dirstamp)
1114 config/tc-bpf.$(OBJEXT): config/$(am__dirstamp) \
1115 config/$(DEPDIR)/$(am__dirstamp)
1116 config/tc-cr16.$(OBJEXT): config/$(am__dirstamp) \
1117 config/$(DEPDIR)/$(am__dirstamp)
1118 config/tc-cris.$(OBJEXT): config/$(am__dirstamp) \
1119 config/$(DEPDIR)/$(am__dirstamp)
1120 config/tc-crx.$(OBJEXT): config/$(am__dirstamp) \
1121 config/$(DEPDIR)/$(am__dirstamp)
1122 config/tc-csky.$(OBJEXT): config/$(am__dirstamp) \
1123 config/$(DEPDIR)/$(am__dirstamp)
1124 config/tc-d10v.$(OBJEXT): config/$(am__dirstamp) \
1125 config/$(DEPDIR)/$(am__dirstamp)
1126 config/tc-d30v.$(OBJEXT): config/$(am__dirstamp) \
1127 config/$(DEPDIR)/$(am__dirstamp)
1128 config/tc-dlx.$(OBJEXT): config/$(am__dirstamp) \
1129 config/$(DEPDIR)/$(am__dirstamp)
1130 config/tc-epiphany.$(OBJEXT): config/$(am__dirstamp) \
1131 config/$(DEPDIR)/$(am__dirstamp)
1132 config/tc-fr30.$(OBJEXT): config/$(am__dirstamp) \
1133 config/$(DEPDIR)/$(am__dirstamp)
1134 config/tc-frv.$(OBJEXT): config/$(am__dirstamp) \
1135 config/$(DEPDIR)/$(am__dirstamp)
1136 config/tc-ft32.$(OBJEXT): config/$(am__dirstamp) \
1137 config/$(DEPDIR)/$(am__dirstamp)
1138 config/tc-h8300.$(OBJEXT): config/$(am__dirstamp) \
1139 config/$(DEPDIR)/$(am__dirstamp)
1140 config/tc-hppa.$(OBJEXT): config/$(am__dirstamp) \
1141 config/$(DEPDIR)/$(am__dirstamp)
1142 config/tc-ia64.$(OBJEXT): config/$(am__dirstamp) \
1143 config/$(DEPDIR)/$(am__dirstamp)
1144 config/tc-i386.$(OBJEXT): config/$(am__dirstamp) \
1145 config/$(DEPDIR)/$(am__dirstamp)
1146 config/tc-ip2k.$(OBJEXT): config/$(am__dirstamp) \
1147 config/$(DEPDIR)/$(am__dirstamp)
1148 config/tc-iq2000.$(OBJEXT): config/$(am__dirstamp) \
1149 config/$(DEPDIR)/$(am__dirstamp)
1150 config/tc-kvx.$(OBJEXT): config/$(am__dirstamp) \
1151 config/$(DEPDIR)/$(am__dirstamp)
1152 config/tc-lm32.$(OBJEXT): config/$(am__dirstamp) \
1153 config/$(DEPDIR)/$(am__dirstamp)
1154 config/tc-loongarch.$(OBJEXT): config/$(am__dirstamp) \
1155 config/$(DEPDIR)/$(am__dirstamp)
1156 config/tc-m32c.$(OBJEXT): config/$(am__dirstamp) \
1157 config/$(DEPDIR)/$(am__dirstamp)
1158 config/tc-m32r.$(OBJEXT): config/$(am__dirstamp) \
1159 config/$(DEPDIR)/$(am__dirstamp)
1160 config/tc-m68hc11.$(OBJEXT): config/$(am__dirstamp) \
1161 config/$(DEPDIR)/$(am__dirstamp)
1162 config/tc-m68k.$(OBJEXT): config/$(am__dirstamp) \
1163 config/$(DEPDIR)/$(am__dirstamp)
1164 config/tc-s12z.$(OBJEXT): config/$(am__dirstamp) \
1165 config/$(DEPDIR)/$(am__dirstamp)
1166 config/tc-mcore.$(OBJEXT): config/$(am__dirstamp) \
1167 config/$(DEPDIR)/$(am__dirstamp)
1168 config/tc-mep.$(OBJEXT): config/$(am__dirstamp) \
1169 config/$(DEPDIR)/$(am__dirstamp)
1170 config/tc-metag.$(OBJEXT): config/$(am__dirstamp) \
1171 config/$(DEPDIR)/$(am__dirstamp)
1172 config/tc-microblaze.$(OBJEXT): config/$(am__dirstamp) \
1173 config/$(DEPDIR)/$(am__dirstamp)
1174 config/tc-mips.$(OBJEXT): config/$(am__dirstamp) \
1175 config/$(DEPDIR)/$(am__dirstamp)
1176 config/tc-mmix.$(OBJEXT): config/$(am__dirstamp) \
1177 config/$(DEPDIR)/$(am__dirstamp)
1178 config/tc-mn10200.$(OBJEXT): config/$(am__dirstamp) \
1179 config/$(DEPDIR)/$(am__dirstamp)
1180 config/tc-mn10300.$(OBJEXT): config/$(am__dirstamp) \
1181 config/$(DEPDIR)/$(am__dirstamp)
1182 config/tc-moxie.$(OBJEXT): config/$(am__dirstamp) \
1183 config/$(DEPDIR)/$(am__dirstamp)
1184 config/tc-msp430.$(OBJEXT): config/$(am__dirstamp) \
1185 config/$(DEPDIR)/$(am__dirstamp)
1186 config/tc-mt.$(OBJEXT): config/$(am__dirstamp) \
1187 config/$(DEPDIR)/$(am__dirstamp)
1188 config/tc-nds32.$(OBJEXT): config/$(am__dirstamp) \
1189 config/$(DEPDIR)/$(am__dirstamp)
1190 config/tc-nios2.$(OBJEXT): config/$(am__dirstamp) \
1191 config/$(DEPDIR)/$(am__dirstamp)
1192 config/tc-ns32k.$(OBJEXT): config/$(am__dirstamp) \
1193 config/$(DEPDIR)/$(am__dirstamp)
1194 config/tc-or1k.$(OBJEXT): config/$(am__dirstamp) \
1195 config/$(DEPDIR)/$(am__dirstamp)
1196 config/tc-pdp11.$(OBJEXT): config/$(am__dirstamp) \
1197 config/$(DEPDIR)/$(am__dirstamp)
1198 config/tc-pj.$(OBJEXT): config/$(am__dirstamp) \
1199 config/$(DEPDIR)/$(am__dirstamp)
1200 config/tc-ppc.$(OBJEXT): config/$(am__dirstamp) \
1201 config/$(DEPDIR)/$(am__dirstamp)
1202 config/tc-pru.$(OBJEXT): config/$(am__dirstamp) \
1203 config/$(DEPDIR)/$(am__dirstamp)
1204 config/tc-riscv.$(OBJEXT): config/$(am__dirstamp) \
1205 config/$(DEPDIR)/$(am__dirstamp)
1206 config/tc-rl78.$(OBJEXT): config/$(am__dirstamp) \
1207 config/$(DEPDIR)/$(am__dirstamp)
1208 config/tc-rx.$(OBJEXT): config/$(am__dirstamp) \
1209 config/$(DEPDIR)/$(am__dirstamp)
1210 config/tc-s390.$(OBJEXT): config/$(am__dirstamp) \
1211 config/$(DEPDIR)/$(am__dirstamp)
1212 config/tc-score.$(OBJEXT): config/$(am__dirstamp) \
1213 config/$(DEPDIR)/$(am__dirstamp)
1214 config/tc-sh.$(OBJEXT): config/$(am__dirstamp) \
1215 config/$(DEPDIR)/$(am__dirstamp)
1216 config/tc-sparc.$(OBJEXT): config/$(am__dirstamp) \
1217 config/$(DEPDIR)/$(am__dirstamp)
1218 config/tc-spu.$(OBJEXT): config/$(am__dirstamp) \
1219 config/$(DEPDIR)/$(am__dirstamp)
1220 config/tc-tic30.$(OBJEXT): config/$(am__dirstamp) \
1221 config/$(DEPDIR)/$(am__dirstamp)
1222 config/tc-tic4x.$(OBJEXT): config/$(am__dirstamp) \
1223 config/$(DEPDIR)/$(am__dirstamp)
1224 config/tc-tic54x.$(OBJEXT): config/$(am__dirstamp) \
1225 config/$(DEPDIR)/$(am__dirstamp)
1226 config/tc-tic6x.$(OBJEXT): config/$(am__dirstamp) \
1227 config/$(DEPDIR)/$(am__dirstamp)
1228 config/tc-tilegx.$(OBJEXT): config/$(am__dirstamp) \
1229 config/$(DEPDIR)/$(am__dirstamp)
1230 config/tc-tilepro.$(OBJEXT): config/$(am__dirstamp) \
1231 config/$(DEPDIR)/$(am__dirstamp)
1232 config/tc-v850.$(OBJEXT): config/$(am__dirstamp) \
1233 config/$(DEPDIR)/$(am__dirstamp)
1234 config/tc-vax.$(OBJEXT): config/$(am__dirstamp) \
1235 config/$(DEPDIR)/$(am__dirstamp)
1236 config/tc-visium.$(OBJEXT): config/$(am__dirstamp) \
1237 config/$(DEPDIR)/$(am__dirstamp)
1238 config/tc-wasm32.$(OBJEXT): config/$(am__dirstamp) \
1239 config/$(DEPDIR)/$(am__dirstamp)
1240 config/tc-xstormy16.$(OBJEXT): config/$(am__dirstamp) \
1241 config/$(DEPDIR)/$(am__dirstamp)
1242 config/tc-xgate.$(OBJEXT): config/$(am__dirstamp) \
1243 config/$(DEPDIR)/$(am__dirstamp)
1244 config/tc-xtensa.$(OBJEXT): config/$(am__dirstamp) \
1245 config/$(DEPDIR)/$(am__dirstamp)
1246 config/tc-z80.$(OBJEXT): config/$(am__dirstamp) \
1247 config/$(DEPDIR)/$(am__dirstamp)
1248 config/tc-z8k.$(OBJEXT): config/$(am__dirstamp) \
1249 config/$(DEPDIR)/$(am__dirstamp)
1250 config/bfin-lex-wrapper.$(OBJEXT): config/$(am__dirstamp) \
1251 config/$(DEPDIR)/$(am__dirstamp)
1252 config/xtensa-relax.$(OBJEXT): config/$(am__dirstamp) \
1253 config/$(DEPDIR)/$(am__dirstamp)
1254 config/kvx-parse.$(OBJEXT): config/$(am__dirstamp) \
1255 config/$(DEPDIR)/$(am__dirstamp)
1256 config/te-vms.$(OBJEXT): config/$(am__dirstamp) \
1257 config/$(DEPDIR)/$(am__dirstamp)
1258 config/obj-aout.$(OBJEXT): config/$(am__dirstamp) \
1259 config/$(DEPDIR)/$(am__dirstamp)
1260 config/obj-coff.$(OBJEXT): config/$(am__dirstamp) \
1261 config/$(DEPDIR)/$(am__dirstamp)
1262 config/obj-ecoff.$(OBJEXT): config/$(am__dirstamp) \
1263 config/$(DEPDIR)/$(am__dirstamp)
1264 config/obj-elf.$(OBJEXT): config/$(am__dirstamp) \
1265 config/$(DEPDIR)/$(am__dirstamp)
1266 config/obj-evax.$(OBJEXT): config/$(am__dirstamp) \
1267 config/$(DEPDIR)/$(am__dirstamp)
1268 config/obj-fdpicelf.$(OBJEXT): config/$(am__dirstamp) \
1269 config/$(DEPDIR)/$(am__dirstamp)
1270 config/obj-macho.$(OBJEXT): config/$(am__dirstamp) \
1271 config/$(DEPDIR)/$(am__dirstamp)
1272 config/obj-multi.$(OBJEXT): config/$(am__dirstamp) \
1273 config/$(DEPDIR)/$(am__dirstamp)
1274 config/obj-som.$(OBJEXT): config/$(am__dirstamp) \
1275 config/$(DEPDIR)/$(am__dirstamp)
1276 config/atof-ieee.$(OBJEXT): config/$(am__dirstamp) \
1277 config/$(DEPDIR)/$(am__dirstamp)
1278 config/atof-vax.$(OBJEXT): config/$(am__dirstamp) \
1279 config/$(DEPDIR)/$(am__dirstamp)
1280 config/e-crisaout.$(OBJEXT): config/$(am__dirstamp) \
1281 config/$(DEPDIR)/$(am__dirstamp)
1282 config/e-criself.$(OBJEXT): config/$(am__dirstamp) \
1283 config/$(DEPDIR)/$(am__dirstamp)
1284 config/e-mipself.$(OBJEXT): config/$(am__dirstamp) \
1285 config/$(DEPDIR)/$(am__dirstamp)
1286 config/m68k-parse.$(OBJEXT): config/$(am__dirstamp) \
1287 config/$(DEPDIR)/$(am__dirstamp)
1288 config/bfin-parse.$(OBJEXT): config/$(am__dirstamp) \
1289 config/$(DEPDIR)/$(am__dirstamp)
1290 config/bfin-lex.$(OBJEXT): config/$(am__dirstamp) \
1291 config/$(DEPDIR)/$(am__dirstamp)
1292 config/rl78-parse.$(OBJEXT): config/$(am__dirstamp) \
1293 config/$(DEPDIR)/$(am__dirstamp)
1294 config/rx-parse.$(OBJEXT): config/$(am__dirstamp) \
1295 config/$(DEPDIR)/$(am__dirstamp)
1296 config/loongarch-parse.$(OBJEXT): config/$(am__dirstamp) \
1297 config/$(DEPDIR)/$(am__dirstamp)
1298 config/loongarch-lex.$(OBJEXT): config/$(am__dirstamp) \
1299 config/$(DEPDIR)/$(am__dirstamp)
1301 as-new$(EXEEXT): $(as_new_OBJECTS) $(as_new_DEPENDENCIES) $(EXTRA_as_new_DEPENDENCIES)
1302 @rm -f as-new$(EXEEXT)
1303 $(AM_V_CCLD)$(LINK) $(as_new_OBJECTS) $(as_new_LDADD) $(LIBS)
1305 itbl-test$(EXEEXT): $(itbl_test_OBJECTS) $(itbl_test_DEPENDENCIES) $(EXTRA_itbl_test_DEPENDENCIES)
1306 @rm -f itbl-test$(EXEEXT)
1307 $(AM_V_CCLD)$(LINK) $(itbl_test_OBJECTS) $(itbl_test_LDADD) $(LIBS)
1309 mostlyclean-compile:
1310 -rm -f *.$(OBJEXT)
1311 -rm -f config/*.$(OBJEXT)
1313 distclean-compile:
1314 -rm -f *.tab.c
1316 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/app.Po@am__quote@
1317 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/as.Po@am__quote@
1318 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/atof-generic.Po@am__quote@
1319 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cgen.Po@am__quote@
1320 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/codeview.Po@am__quote@
1321 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/compress-debug.Po@am__quote@
1322 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cond.Po@am__quote@
1323 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/depend.Po@am__quote@
1324 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dw2gencfi.Po@am__quote@
1325 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dwarf2dbg.Po@am__quote@
1326 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ecoff.Po@am__quote@
1327 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ehopt.Po@am__quote@
1328 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/expr.Po@am__quote@
1329 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/flonum-copy.Po@am__quote@
1330 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/flonum-konst.Po@am__quote@
1331 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/flonum-mult.Po@am__quote@
1332 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/frags.Po@am__quote@
1333 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gen-sframe.Po@am__quote@
1334 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ginsn.Po@am__quote@
1335 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hash.Po@am__quote@
1336 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/input-file.Po@am__quote@
1337 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/input-scrub.Po@am__quote@
1338 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/itbl-lex.Po@am__quote@
1339 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/itbl-ops.Po@am__quote@
1340 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/itbl-parse.Po@am__quote@
1341 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/listing.Po@am__quote@
1342 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/literal.Po@am__quote@
1343 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/macro.Po@am__quote@
1344 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/messages.Po@am__quote@
1345 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/output-file.Po@am__quote@
1346 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/read.Po@am__quote@
1347 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/remap.Po@am__quote@
1348 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sb.Po@am__quote@
1349 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/scfi.Po@am__quote@
1350 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/scfidw2gen.Po@am__quote@
1351 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sframe-opt.Po@am__quote@
1352 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stabs.Po@am__quote@
1353 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/subsegs.Po@am__quote@
1354 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/symbols.Po@am__quote@
1355 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/write.Po@am__quote@
1356 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/atof-ieee.Po@am__quote@
1357 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/atof-vax.Po@am__quote@
1358 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/bfin-lex-wrapper.Po@am__quote@
1359 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/bfin-lex.Po@am__quote@
1360 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/bfin-parse.Po@am__quote@
1361 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-crisaout.Po@am__quote@
1362 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-criself.Po@am__quote@
1363 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-mipself.Po@am__quote@
1364 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/kvx-parse.Po@am__quote@
1365 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/loongarch-lex.Po@am__quote@
1366 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/loongarch-parse.Po@am__quote@
1367 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/m68k-parse.Po@am__quote@
1368 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-aout.Po@am__quote@
1369 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-coff.Po@am__quote@
1370 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-ecoff.Po@am__quote@
1371 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-elf.Po@am__quote@
1372 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-evax.Po@am__quote@
1373 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-fdpicelf.Po@am__quote@
1374 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-macho.Po@am__quote@
1375 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-multi.Po@am__quote@
1376 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-som.Po@am__quote@
1377 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/rl78-parse.Po@am__quote@
1378 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/rx-parse.Po@am__quote@
1379 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-aarch64.Po@am__quote@
1380 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-alpha.Po@am__quote@
1381 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-arc.Po@am__quote@
1382 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-arm.Po@am__quote@
1383 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-avr.Po@am__quote@
1384 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-bfin.Po@am__quote@
1385 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-bpf.Po@am__quote@
1386 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-cr16.Po@am__quote@
1387 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-cris.Po@am__quote@
1388 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-crx.Po@am__quote@
1389 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-csky.Po@am__quote@
1390 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-d10v.Po@am__quote@
1391 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-d30v.Po@am__quote@
1392 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-dlx.Po@am__quote@
1393 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-epiphany.Po@am__quote@
1394 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-fr30.Po@am__quote@
1395 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-frv.Po@am__quote@
1396 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ft32.Po@am__quote@
1397 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-h8300.Po@am__quote@
1398 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-hppa.Po@am__quote@
1399 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-i386.Po@am__quote@
1400 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ia64.Po@am__quote@
1401 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ip2k.Po@am__quote@
1402 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-iq2000.Po@am__quote@
1403 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-kvx.Po@am__quote@
1404 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-lm32.Po@am__quote@
1405 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-loongarch.Po@am__quote@
1406 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-m32c.Po@am__quote@
1407 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-m32r.Po@am__quote@
1408 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-m68hc11.Po@am__quote@
1409 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-m68k.Po@am__quote@
1410 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mcore.Po@am__quote@
1411 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mep.Po@am__quote@
1412 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-metag.Po@am__quote@
1413 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-microblaze.Po@am__quote@
1414 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mips.Po@am__quote@
1415 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mmix.Po@am__quote@
1416 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mn10200.Po@am__quote@
1417 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mn10300.Po@am__quote@
1418 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-moxie.Po@am__quote@
1419 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-msp430.Po@am__quote@
1420 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mt.Po@am__quote@
1421 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-nds32.Po@am__quote@
1422 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-nios2.Po@am__quote@
1423 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ns32k.Po@am__quote@
1424 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-or1k.Po@am__quote@
1425 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-pdp11.Po@am__quote@
1426 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-pj.Po@am__quote@
1427 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ppc.Po@am__quote@
1428 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-pru.Po@am__quote@
1429 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-riscv.Po@am__quote@
1430 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-rl78.Po@am__quote@
1431 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-rx.Po@am__quote@
1432 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-s12z.Po@am__quote@
1433 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-s390.Po@am__quote@
1434 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-score.Po@am__quote@
1435 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-sh.Po@am__quote@
1436 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-sparc.Po@am__quote@
1437 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-spu.Po@am__quote@
1438 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tic30.Po@am__quote@
1439 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tic4x.Po@am__quote@
1440 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tic54x.Po@am__quote@
1441 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tic6x.Po@am__quote@
1442 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tilegx.Po@am__quote@
1443 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tilepro.Po@am__quote@
1444 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-v850.Po@am__quote@
1445 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-vax.Po@am__quote@
1446 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-visium.Po@am__quote@
1447 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-wasm32.Po@am__quote@
1448 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-xgate.Po@am__quote@
1449 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-xstormy16.Po@am__quote@
1450 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-xtensa.Po@am__quote@
1451 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-z80.Po@am__quote@
1452 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-z8k.Po@am__quote@
1453 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/te-vms.Po@am__quote@
1454 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/xtensa-relax.Po@am__quote@
1456 .c.o:
1457 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1458 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1459 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1460 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1461 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1462 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1464 .c.obj:
1465 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1466 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1467 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1468 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1469 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1470 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1472 .c.lo:
1473 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1474 @am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1475 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Plo
1476 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1477 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1478 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1480 .l.c:
1481 $(AM_V_LEX)$(am__skiplex) $(SHELL) $(YLWRAP) $< $(LEX_OUTPUT_ROOT).c $@ -- $(LEXCOMPILE)
1483 .y.c:
1484 $(AM_V_YACC)$(am__skipyacc) $(SHELL) $(YLWRAP) $< y.tab.c $@ y.tab.h `echo $@ | $(am__yacc_c2h)` y.output $*.output -- $(YACCCOMPILE)
1486 mostlyclean-libtool:
1487 -rm -f *.lo
1489 clean-libtool:
1490 -rm -rf .libs _libs
1492 distclean-libtool:
1493 -rm -f libtool config.lt
1494 doc/$(am__dirstamp):
1495 @$(MKDIR_P) doc
1496 @: > doc/$(am__dirstamp)
1498 doc/as.info: doc/as.texi $(doc_as_TEXINFOS)
1499 @test -f doc/$(am__dirstamp) || $(MAKE) $(AM_MAKEFLAGS) doc/$(am__dirstamp)
1500 $(AM_V_MAKEINFO)restore=: && backupdir="$(am__leading_dot)am$$$$" && \
1501 rm -rf $$backupdir && mkdir $$backupdir && \
1502 if ($(MAKEINFO) --version) >/dev/null 2>&1; then \
1503 for f in $@ $@-[0-9] $@-[0-9][0-9] $(@:.info=).i[0-9] $(@:.info=).i[0-9][0-9]; do \
1504 if test -f $$f; then mv $$f $$backupdir; restore=mv; else :; fi; \
1505 done; \
1506 else :; fi && \
1507 if $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I doc -I $(srcdir)/doc \
1508 -o $@ `test -f 'doc/as.texi' || echo '$(srcdir)/'`doc/as.texi; \
1509 then \
1510 rc=0; \
1511 else \
1512 rc=$$?; \
1513 $$restore $$backupdir/* `echo "./$@" | sed 's|[^/]*$$||'`; \
1514 fi; \
1515 rm -rf $$backupdir; exit $$rc
1517 doc/as.dvi: doc/as.texi $(doc_as_TEXINFOS) doc/$(am__dirstamp)
1518 $(AM_V_TEXI2DVI)TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
1519 MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I doc -I $(srcdir)/doc' \
1520 $(TEXI2DVI) $(AM_V_texinfo) --build-dir=$(@:.dvi=.t2d) -o $@ $(AM_V_texidevnull) \
1521 `test -f 'doc/as.texi' || echo '$(srcdir)/'`doc/as.texi
1523 doc/as.pdf: doc/as.texi $(doc_as_TEXINFOS) doc/$(am__dirstamp)
1524 $(AM_V_TEXI2PDF)TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
1525 MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I doc -I $(srcdir)/doc' \
1526 $(TEXI2PDF) $(AM_V_texinfo) --build-dir=$(@:.pdf=.t2p) -o $@ $(AM_V_texidevnull) \
1527 `test -f 'doc/as.texi' || echo '$(srcdir)/'`doc/as.texi
1529 doc/as.html: doc/as.texi $(doc_as_TEXINFOS) doc/$(am__dirstamp)
1530 $(AM_V_MAKEINFO)rm -rf $(@:.html=.htp)
1531 $(AM_V_at)if $(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) -I doc -I $(srcdir)/doc \
1532 -o $(@:.html=.htp) `test -f 'doc/as.texi' || echo '$(srcdir)/'`doc/as.texi; \
1533 then \
1534 rm -rf $@ && mv $(@:.html=.htp) $@; \
1535 else \
1536 rm -rf $(@:.html=.htp); exit 1; \
1538 .dvi.ps:
1539 $(AM_V_DVIPS)TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
1540 $(DVIPS) $(AM_V_texinfo) -o $@ $<
1542 uninstall-dvi-am:
1543 @$(NORMAL_UNINSTALL)
1544 @list='$(DVIS)'; test -n "$(dvidir)" || list=; \
1545 for p in $$list; do \
1546 $(am__strip_dir) \
1547 echo " rm -f '$(DESTDIR)$(dvidir)/$$f'"; \
1548 rm -f "$(DESTDIR)$(dvidir)/$$f"; \
1549 done
1551 uninstall-html-am:
1552 @$(NORMAL_UNINSTALL)
1553 @list='$(HTMLS)'; test -n "$(htmldir)" || list=; \
1554 for p in $$list; do \
1555 $(am__strip_dir) \
1556 echo " rm -rf '$(DESTDIR)$(htmldir)/$$f'"; \
1557 rm -rf "$(DESTDIR)$(htmldir)/$$f"; \
1558 done
1560 uninstall-info-am:
1561 @$(PRE_UNINSTALL)
1562 @if test -d '$(DESTDIR)$(infodir)' && $(am__can_run_installinfo); then \
1563 list='$(INFO_DEPS)'; \
1564 for file in $$list; do \
1565 relfile=`echo "$$file" | sed 's|^.*/||'`; \
1566 echo " install-info --info-dir='$(DESTDIR)$(infodir)' --remove '$(DESTDIR)$(infodir)/$$relfile'"; \
1567 if install-info --info-dir="$(DESTDIR)$(infodir)" --remove "$(DESTDIR)$(infodir)/$$relfile"; \
1568 then :; else test ! -f "$(DESTDIR)$(infodir)/$$relfile" || exit 1; fi; \
1569 done; \
1570 else :; fi
1571 @$(NORMAL_UNINSTALL)
1572 @list='$(INFO_DEPS)'; \
1573 for file in $$list; do \
1574 relfile=`echo "$$file" | sed 's|^.*/||'`; \
1575 relfile_i=`echo "$$relfile" | sed 's|\.info$$||;s|$$|.i|'`; \
1576 (if test -d "$(DESTDIR)$(infodir)" && cd "$(DESTDIR)$(infodir)"; then \
1577 echo " cd '$(DESTDIR)$(infodir)' && rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]"; \
1578 rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]; \
1579 else :; fi); \
1580 done
1582 uninstall-pdf-am:
1583 @$(NORMAL_UNINSTALL)
1584 @list='$(PDFS)'; test -n "$(pdfdir)" || list=; \
1585 for p in $$list; do \
1586 $(am__strip_dir) \
1587 echo " rm -f '$(DESTDIR)$(pdfdir)/$$f'"; \
1588 rm -f "$(DESTDIR)$(pdfdir)/$$f"; \
1589 done
1591 uninstall-ps-am:
1592 @$(NORMAL_UNINSTALL)
1593 @list='$(PSS)'; test -n "$(psdir)" || list=; \
1594 for p in $$list; do \
1595 $(am__strip_dir) \
1596 echo " rm -f '$(DESTDIR)$(psdir)/$$f'"; \
1597 rm -f "$(DESTDIR)$(psdir)/$$f"; \
1598 done
1600 dist-info: $(INFO_DEPS)
1601 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
1602 list='$(INFO_DEPS)'; \
1603 for base in $$list; do \
1604 case $$base in \
1605 $(srcdir)/*) base=`echo "$$base" | sed "s|^$$srcdirstrip/||"`;; \
1606 esac; \
1607 if test -f $$base; then d=.; else d=$(srcdir); fi; \
1608 base_i=`echo "$$base" | sed 's|\.info$$||;s|$$|.i|'`; \
1609 for file in $$d/$$base $$d/$$base-[0-9] $$d/$$base-[0-9][0-9] $$d/$$base_i[0-9] $$d/$$base_i[0-9][0-9]; do \
1610 if test -f $$file; then \
1611 relfile=`expr "$$file" : "$$d/\(.*\)"`; \
1612 test -f "$(distdir)/$$relfile" || \
1613 cp -p $$file "$(distdir)/$$relfile"; \
1614 else :; fi; \
1615 done; \
1616 done
1618 mostlyclean-aminfo:
1619 -rm -rf doc/as.t2d doc/as.t2p
1621 clean-aminfo:
1622 -test -z "doc/as.dvi doc/as.pdf doc/as.ps doc/as.html" \
1623 || rm -rf doc/as.dvi doc/as.pdf doc/as.ps doc/as.html
1625 maintainer-clean-aminfo:
1626 @list='$(INFO_DEPS)'; for i in $$list; do \
1627 i_i=`echo "$$i" | sed 's|\.info$$||;s|$$|.i|'`; \
1628 echo " rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]"; \
1629 rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]; \
1630 done
1631 install-man1: $(man_MANS)
1632 @$(NORMAL_INSTALL)
1633 @list1=''; \
1634 list2='$(man_MANS)'; \
1635 test -n "$(man1dir)" \
1636 && test -n "`echo $$list1$$list2`" \
1637 || exit 0; \
1638 echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
1639 $(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
1640 { for i in $$list1; do echo "$$i"; done; \
1641 if test -n "$$list2"; then \
1642 for i in $$list2; do echo "$$i"; done \
1643 | sed -n '/\.1[a-z]*$$/p'; \
1644 fi; \
1645 } | while read p; do \
1646 if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
1647 echo "$$d$$p"; echo "$$p"; \
1648 done | \
1649 sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
1650 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
1651 sed 'N;N;s,\n, ,g' | { \
1652 list=; while read file base inst; do \
1653 if test "$$base" = "$$inst"; then list="$$list $$file"; else \
1654 echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
1655 $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
1656 fi; \
1657 done; \
1658 for i in $$list; do echo "$$i"; done | $(am__base_list) | \
1659 while read files; do \
1660 test -z "$$files" || { \
1661 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
1662 $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
1663 done; }
1665 uninstall-man1:
1666 @$(NORMAL_UNINSTALL)
1667 @list=''; test -n "$(man1dir)" || exit 0; \
1668 files=`{ for i in $$list; do echo "$$i"; done; \
1669 l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
1670 sed -n '/\.1[a-z]*$$/p'; \
1671 } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
1672 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
1673 dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
1675 # This directory's subdirectories are mostly independent; you can cd
1676 # into them and run 'make' without going through this Makefile.
1677 # To change the values of 'make' variables: instead of editing Makefiles,
1678 # (1) if the variable is set in 'config.status', edit 'config.status'
1679 # (which will cause the Makefiles to be regenerated when you run 'make');
1680 # (2) otherwise, pass the desired values on the 'make' command line.
1681 $(am__recursive_targets):
1682 @fail=; \
1683 if $(am__make_keepgoing); then \
1684 failcom='fail=yes'; \
1685 else \
1686 failcom='exit 1'; \
1687 fi; \
1688 dot_seen=no; \
1689 target=`echo $@ | sed s/-recursive//`; \
1690 case "$@" in \
1691 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1692 *) list='$(SUBDIRS)' ;; \
1693 esac; \
1694 for subdir in $$list; do \
1695 echo "Making $$target in $$subdir"; \
1696 if test "$$subdir" = "."; then \
1697 dot_seen=yes; \
1698 local_target="$$target-am"; \
1699 else \
1700 local_target="$$target"; \
1701 fi; \
1702 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1703 || eval $$failcom; \
1704 done; \
1705 if test "$$dot_seen" = "no"; then \
1706 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1707 fi; test -z "$$fail"
1709 ID: $(am__tagged_files)
1710 $(am__define_uniq_tagged_files); mkid -fID $$unique
1711 tags: tags-recursive
1712 TAGS: tags
1714 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1715 set x; \
1716 here=`pwd`; \
1717 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1718 include_option=--etags-include; \
1719 empty_fix=.; \
1720 else \
1721 include_option=--include; \
1722 empty_fix=; \
1723 fi; \
1724 list='$(SUBDIRS)'; for subdir in $$list; do \
1725 if test "$$subdir" = .; then :; else \
1726 test ! -f $$subdir/TAGS || \
1727 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1728 fi; \
1729 done; \
1730 $(am__define_uniq_tagged_files); \
1731 shift; \
1732 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1733 test -n "$$unique" || unique=$$empty_fix; \
1734 if test $$# -gt 0; then \
1735 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1736 "$$@" $$unique; \
1737 else \
1738 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1739 $$unique; \
1740 fi; \
1742 ctags: ctags-recursive
1744 CTAGS: ctags
1745 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1746 $(am__define_uniq_tagged_files); \
1747 test -z "$(CTAGS_ARGS)$$unique" \
1748 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1749 $$unique
1751 GTAGS:
1752 here=`$(am__cd) $(top_builddir) && pwd` \
1753 && $(am__cd) $(top_srcdir) \
1754 && gtags -i $(GTAGS_ARGS) "$$here"
1755 cscope: cscope.files
1756 test ! -s cscope.files \
1757 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
1758 clean-cscope:
1759 -rm -f cscope.files
1760 cscope.files: clean-cscope cscopelist
1761 cscopelist: cscopelist-recursive
1763 cscopelist-am: $(am__tagged_files)
1764 list='$(am__tagged_files)'; \
1765 case "$(srcdir)" in \
1766 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1767 *) sdir=$(subdir)/$(srcdir) ;; \
1768 esac; \
1769 for i in $$list; do \
1770 if test -f "$$i"; then \
1771 echo "$(subdir)/$$i"; \
1772 else \
1773 echo "$$sdir/$$i"; \
1774 fi; \
1775 done >> $(top_builddir)/cscope.files
1777 distclean-tags:
1778 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1779 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
1780 site.exp: Makefile $(EXTRA_DEJAGNU_SITE_CONFIG)
1781 @echo 'Making a new site.exp file ...'
1782 @echo '## these variables are automatically generated by make ##' >site.tmp
1783 @echo '# Do not edit here. If you wish to override these values' >>site.tmp
1784 @echo '# edit the last section' >>site.tmp
1785 @echo 'set srcdir "$(srcdir)"' >>site.tmp
1786 @echo "set objdir `pwd`" >>site.tmp
1787 @echo 'set build_alias "$(build_alias)"' >>site.tmp
1788 @echo 'set build_triplet $(build_triplet)' >>site.tmp
1789 @echo 'set host_alias "$(host_alias)"' >>site.tmp
1790 @echo 'set host_triplet $(host_triplet)' >>site.tmp
1791 @echo 'set target_alias "$(target_alias)"' >>site.tmp
1792 @echo 'set target_triplet $(target_triplet)' >>site.tmp
1793 @list='$(EXTRA_DEJAGNU_SITE_CONFIG)'; for f in $$list; do \
1794 echo "## Begin content included from file $$f. Do not modify. ##" \
1795 && cat `test -f "$$f" || echo '$(srcdir)/'`$$f \
1796 && echo "## End content included from file $$f. ##" \
1797 || exit 1; \
1798 done >> site.tmp
1799 @echo "## End of auto-generated content; you can edit from here. ##" >> site.tmp
1800 @if test -f site.exp; then \
1801 sed -e '1,/^## End of auto-generated content.*##/d' site.exp >> site.tmp; \
1803 @-rm -f site.bak
1804 @test ! -f site.exp || mv site.exp site.bak
1805 @mv site.tmp site.exp
1807 distclean-DEJAGNU:
1808 -rm -f site.exp site.bak
1809 -l='$(DEJATOOL)'; for tool in $$l; do \
1810 rm -f $$tool.sum $$tool.log; \
1811 done
1812 check-am: all-am
1813 $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU
1814 check: check-recursive
1815 all-am: Makefile $(INFO_DEPS) $(PROGRAMS) $(SCRIPTS) $(MANS) config.h
1816 installdirs: installdirs-recursive
1817 installdirs-am:
1818 for dir in "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"; do \
1819 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1820 done
1821 install: install-recursive
1822 install-exec: install-exec-recursive
1823 install-data: install-data-recursive
1824 uninstall: uninstall-recursive
1826 install-am: all-am
1827 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1829 installcheck: installcheck-recursive
1830 install-strip:
1831 if test -z '$(STRIP)'; then \
1832 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1833 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1834 install; \
1835 else \
1836 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1837 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1838 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1840 mostlyclean-generic:
1841 -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1843 clean-generic:
1845 distclean-generic:
1846 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1847 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1848 -rm -f config/$(DEPDIR)/$(am__dirstamp)
1849 -rm -f config/$(am__dirstamp)
1850 -rm -f doc/$(am__dirstamp)
1851 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1853 maintainer-clean-generic:
1854 @echo "This command is intended for maintainers to use"
1855 @echo "it deletes files that may require special tools to rebuild."
1856 -rm -f config/bfin-lex.c
1857 -rm -f config/bfin-parse.c
1858 -rm -f config/loongarch-lex.c
1859 -rm -f config/loongarch-parse.c
1860 -rm -f config/m68k-parse.c
1861 -rm -f config/rl78-parse.c
1862 -rm -f config/rx-parse.c
1863 -rm -f itbl-lex.c
1864 -rm -f itbl-parse.c
1865 -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
1866 clean: clean-recursive
1868 clean-am: clean-aminfo clean-generic clean-libtool \
1869 clean-noinstPROGRAMS mostlyclean-am
1871 distclean: distclean-recursive
1872 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1873 -rm -rf ./$(DEPDIR) config/$(DEPDIR)
1874 -rm -f Makefile
1875 distclean-am: clean-am distclean-DEJAGNU distclean-compile \
1876 distclean-generic distclean-hdr distclean-libtool \
1877 distclean-tags
1879 dvi: dvi-recursive
1881 dvi-am: $(DVIS)
1883 html: html-recursive
1885 html-am: $(HTMLS) html-local
1887 info: info-recursive
1889 info-am: $(INFO_DEPS) info-local
1891 install-data-am: install-info-am install-man
1893 install-dvi: install-dvi-recursive
1895 install-dvi-am: $(DVIS)
1896 @$(NORMAL_INSTALL)
1897 @list='$(DVIS)'; test -n "$(dvidir)" || list=; \
1898 if test -n "$$list"; then \
1899 echo " $(MKDIR_P) '$(DESTDIR)$(dvidir)'"; \
1900 $(MKDIR_P) "$(DESTDIR)$(dvidir)" || exit 1; \
1901 fi; \
1902 for p in $$list; do \
1903 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1904 echo "$$d$$p"; \
1905 done | $(am__base_list) | \
1906 while read files; do \
1907 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(dvidir)'"; \
1908 $(INSTALL_DATA) $$files "$(DESTDIR)$(dvidir)" || exit $$?; \
1909 done
1910 install-exec-am: install-exec-local
1912 install-html: install-html-recursive
1914 install-html-am: $(HTMLS)
1915 @$(NORMAL_INSTALL)
1916 @list='$(HTMLS)'; list2=; test -n "$(htmldir)" || list=; \
1917 if test -n "$$list"; then \
1918 echo " $(MKDIR_P) '$(DESTDIR)$(htmldir)'"; \
1919 $(MKDIR_P) "$(DESTDIR)$(htmldir)" || exit 1; \
1920 fi; \
1921 for p in $$list; do \
1922 if test -f "$$p" || test -d "$$p"; then d=; else d="$(srcdir)/"; fi; \
1923 $(am__strip_dir) \
1924 d2=$$d$$p; \
1925 if test -d "$$d2"; then \
1926 echo " $(MKDIR_P) '$(DESTDIR)$(htmldir)/$$f'"; \
1927 $(MKDIR_P) "$(DESTDIR)$(htmldir)/$$f" || exit 1; \
1928 echo " $(INSTALL_DATA) '$$d2'/* '$(DESTDIR)$(htmldir)/$$f'"; \
1929 $(INSTALL_DATA) "$$d2"/* "$(DESTDIR)$(htmldir)/$$f" || exit $$?; \
1930 else \
1931 list2="$$list2 $$d2"; \
1932 fi; \
1933 done; \
1934 test -z "$$list2" || { echo "$$list2" | $(am__base_list) | \
1935 while read files; do \
1936 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(htmldir)'"; \
1937 $(INSTALL_DATA) $$files "$(DESTDIR)$(htmldir)" || exit $$?; \
1938 done; }
1939 install-info: install-info-recursive
1941 install-info-am: $(INFO_DEPS)
1942 @$(NORMAL_INSTALL)
1943 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
1944 list='$(INFO_DEPS)'; test -n "$(infodir)" || list=; \
1945 if test -n "$$list"; then \
1946 echo " $(MKDIR_P) '$(DESTDIR)$(infodir)'"; \
1947 $(MKDIR_P) "$(DESTDIR)$(infodir)" || exit 1; \
1948 fi; \
1949 for file in $$list; do \
1950 case $$file in \
1951 $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
1952 esac; \
1953 if test -f $$file; then d=.; else d=$(srcdir); fi; \
1954 file_i=`echo "$$file" | sed 's|\.info$$||;s|$$|.i|'`; \
1955 for ifile in $$d/$$file $$d/$$file-[0-9] $$d/$$file-[0-9][0-9] \
1956 $$d/$$file_i[0-9] $$d/$$file_i[0-9][0-9] ; do \
1957 if test -f $$ifile; then \
1958 echo "$$ifile"; \
1959 else : ; fi; \
1960 done; \
1961 done | $(am__base_list) | \
1962 while read files; do \
1963 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(infodir)'"; \
1964 $(INSTALL_DATA) $$files "$(DESTDIR)$(infodir)" || exit $$?; done
1965 @$(POST_INSTALL)
1966 @if $(am__can_run_installinfo); then \
1967 list='$(INFO_DEPS)'; test -n "$(infodir)" || list=; \
1968 for file in $$list; do \
1969 relfile=`echo "$$file" | sed 's|^.*/||'`; \
1970 echo " install-info --info-dir='$(DESTDIR)$(infodir)' '$(DESTDIR)$(infodir)/$$relfile'";\
1971 install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$$relfile" || :;\
1972 done; \
1973 else : ; fi
1974 install-man: install-man1
1976 install-pdf: install-pdf-recursive
1978 install-pdf-am: $(PDFS)
1979 @$(NORMAL_INSTALL)
1980 @list='$(PDFS)'; test -n "$(pdfdir)" || list=; \
1981 if test -n "$$list"; then \
1982 echo " $(MKDIR_P) '$(DESTDIR)$(pdfdir)'"; \
1983 $(MKDIR_P) "$(DESTDIR)$(pdfdir)" || exit 1; \
1984 fi; \
1985 for p in $$list; do \
1986 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1987 echo "$$d$$p"; \
1988 done | $(am__base_list) | \
1989 while read files; do \
1990 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pdfdir)'"; \
1991 $(INSTALL_DATA) $$files "$(DESTDIR)$(pdfdir)" || exit $$?; done
1992 install-ps: install-ps-recursive
1994 install-ps-am: $(PSS)
1995 @$(NORMAL_INSTALL)
1996 @list='$(PSS)'; test -n "$(psdir)" || list=; \
1997 if test -n "$$list"; then \
1998 echo " $(MKDIR_P) '$(DESTDIR)$(psdir)'"; \
1999 $(MKDIR_P) "$(DESTDIR)$(psdir)" || exit 1; \
2000 fi; \
2001 for p in $$list; do \
2002 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
2003 echo "$$d$$p"; \
2004 done | $(am__base_list) | \
2005 while read files; do \
2006 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(psdir)'"; \
2007 $(INSTALL_DATA) $$files "$(DESTDIR)$(psdir)" || exit $$?; done
2008 installcheck-am:
2010 maintainer-clean: maintainer-clean-recursive
2011 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
2012 -rm -rf $(top_srcdir)/autom4te.cache
2013 -rm -rf ./$(DEPDIR) config/$(DEPDIR)
2014 -rm -f Makefile
2015 maintainer-clean-am: distclean-am maintainer-clean-aminfo \
2016 maintainer-clean-generic
2018 mostlyclean: mostlyclean-recursive
2020 mostlyclean-am: mostlyclean-aminfo mostlyclean-compile \
2021 mostlyclean-generic mostlyclean-libtool
2023 pdf: pdf-recursive
2025 pdf-am: $(PDFS)
2027 ps: ps-recursive
2029 ps-am: $(PSS)
2031 uninstall-am: uninstall-dvi-am uninstall-html-am uninstall-info-am \
2032 uninstall-man uninstall-pdf-am uninstall-ps-am
2034 uninstall-man: uninstall-man1
2036 .MAKE: $(am__recursive_targets) all check-am install-am install-strip
2038 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
2039 am--refresh check check-DEJAGNU check-am clean clean-aminfo \
2040 clean-cscope clean-generic clean-libtool clean-noinstPROGRAMS \
2041 cscope cscopelist-am ctags ctags-am dist-info distclean \
2042 distclean-DEJAGNU distclean-compile distclean-generic \
2043 distclean-hdr distclean-libtool distclean-tags dvi dvi-am html \
2044 html-am html-local info info-am info-local install install-am \
2045 install-data install-data-am install-dvi install-dvi-am \
2046 install-exec install-exec-am install-exec-local install-html \
2047 install-html-am install-info install-info-am install-man \
2048 install-man1 install-pdf install-pdf-am install-ps \
2049 install-ps-am install-strip installcheck installcheck-am \
2050 installdirs installdirs-am maintainer-clean \
2051 maintainer-clean-aminfo maintainer-clean-generic mostlyclean \
2052 mostlyclean-aminfo mostlyclean-compile mostlyclean-generic \
2053 mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
2054 uninstall-am uninstall-dvi-am uninstall-html-am \
2055 uninstall-info-am uninstall-man uninstall-man1 \
2056 uninstall-pdf-am uninstall-ps-am
2058 .PRECIOUS: Makefile
2060 po/POTFILES.in: @MAINT@ Makefile
2061 for f in $(POTFILES); do echo $$f; done | LC_ALL=C sort > tmp \
2062 && mv tmp $(srcdir)/po/POTFILES.in
2064 diststuff: $(EXTRA_DIST) info
2066 check-DEJAGNU: site.exp
2067 if [ -d testsuite ]; then \
2068 true; \
2069 else \
2070 mkdir testsuite; \
2072 rm -f testsuite/site.exp
2073 cp site.exp testsuite/site.exp
2074 rootme=`pwd`; export rootme; \
2075 srcdir=`cd ${srcdir}; pwd` ; export srcdir ; \
2076 LC_ALL=C; export LC_ALL; \
2077 EXPECT=${EXPECT} ; export EXPECT ; \
2078 runtest=$(RUNTEST); \
2079 cd testsuite; \
2080 if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
2081 $$runtest --tool $(DEJATOOL) --srcdir $${srcdir}/testsuite \
2082 $(RUNTESTFLAGS); \
2083 else echo "WARNING: could not find \`runtest'" 1>&2; :;\
2086 development.exp: $(BFDDIR)/development.sh
2087 $(EGREP) "(development|experimental)=" $(BFDDIR)/development.sh \
2088 | $(AWK) -F= '{ print "set " $$1 " " $$2 }' > $@
2090 config/tc-i386.o: $(srcdir)/../opcodes/i386-init.h $(srcdir)/../opcodes/i386-tbl.h
2092 $(srcdir)/../opcodes/i386%init.h $(srcdir)/../opcodes/i386%tbl.h $(srcdir)/../opcodes/i386%mnem.h: @MAINT@ $(i386_tbl_deps)
2093 @echo '"$@" is outdated wrt "$?"' >&2
2094 @echo 'Please rebuild from the top level or in $(CURDIR)/../opcodes/' >&2
2095 @false
2096 config/m68k-parse.c: $(srcdir)/config/m68k-parse.y
2097 $(SHELL) $(YLWRAP) $(srcdir)/config/m68k-parse.y y.tab.c $@ -- $(YACCCOMPILE)
2098 config/m68k-parse.h: config/m68k-parse.c
2099 @true
2100 config/bfin-parse.c: $(srcdir)/config/bfin-parse.y
2101 $(SHELL) $(YLWRAP) $(srcdir)/config/bfin-parse.y y.tab.c $@ y.tab.h config/bfin-parse.h -- $(YACCCOMPILE) -d ;
2102 config/bfin-parse.h: config/bfin-parse.c
2103 @true
2104 config/bfin-lex.c: $(srcdir)/config/bfin-lex.l
2105 $(SHELL) $(YLWRAP) $(srcdir)/config/bfin-lex.l lex.yy.c $@ -- $(LEXCOMPILE)
2107 config/bfin-lex-wrapper.@OBJEXT@: config/bfin-lex.c config/bfin-parse.h
2108 config/rl78-parse.c: $(srcdir)/config/rl78-parse.y
2109 $(SHELL) $(YLWRAP) $(srcdir)/config/rl78-parse.y y.tab.c $@ y.tab.h config/rl78-parse.h -- $(YACCCOMPILE) -d ;
2110 config/rl78-parse.h: config/rl78-parse.c
2111 @true
2112 config/rx-parse.c: $(srcdir)/config/rx-parse.y
2113 $(SHELL) $(YLWRAP) $(srcdir)/config/rx-parse.y y.tab.c $@ y.tab.h config/rx-parse.h -- $(YACCCOMPILE) -d ;
2114 config/rx-parse.h: config/rx-parse.c
2115 @true
2116 config/loongarch-parse.c: $(srcdir)/config/loongarch-parse.y
2117 $(SHELL) $(YLWRAP) $(srcdir)/config/loongarch-parse.y y.tab.c $@ y.tab.h config/loongarch-parse.h -- $(YACCCOMPILE) -d ;
2118 config/loongarch-parse.h: config/loongarch-parse.c
2119 @true
2120 config/loongarch-lex.c: $(srcdir)/config/loongarch-lex.l
2121 $(SHELL) $(YLWRAP) $(srcdir)/config/loongarch-lex.l lex.yy.c $@ -- $(LEXCOMPILE)
2123 config/loongarch-lex-wrapper.@OBJEXT@: config/loongarch-lex.c config/loongarch-parse.h
2125 # The mips instruction table specification lexical analyzer and parser.
2127 itbl-lex-wrapper.@OBJEXT@: itbl-lex.c itbl-parse.h
2129 itbl-parse.c: $(srcdir)/itbl-parse.y
2130 $(SHELL) $(YLWRAP) $(srcdir)/itbl-parse.y y.tab.c $@ y.tab.h itbl-parse.h -- $(YACCCOMPILE) -d
2132 itbl-parse.h: itbl-parse.c
2133 @true
2135 itbl-ops.@OBJEXT@: itbl-parse.h
2137 itbl-tops.@OBJEXT@: itbl-ops.c itbl-parse.h
2138 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -o $@ -c -DSTAND_ALONE $(srcdir)/itbl-ops.c
2139 @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
2140 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='itbl-ops.c' object='$@' libtool=no @AMDEPBACKSLASH@
2141 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2142 @am__fastdepCC_FALSE@ $(COMPILE) -o $@ -DSTAND_ALONE -c $(srcdir)/itbl-ops.c
2144 itbl-test.@OBJEXT@: $(srcdir)/testsuite/gas/all/itbl-test.c
2145 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ -DSTAND_ALONE $(srcdir)/testsuite/gas/all/itbl-test.c
2146 @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
2147 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='itbl-test.c' object='$@' libtool=no @AMDEPBACKSLASH@
2148 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2149 @am__fastdepCC_FALSE@ $(COMPILE) -c -DSTAND_ALONE $(srcdir)/testsuite/gas/all/itbl-test.c
2151 cgen.@OBJEXT@: cgen.c cgen.h cgen-desc.h subsegs.h \
2152 $(INCDIR)/obstack.h $(INCDIR)/opcode/cgen.h \
2153 $(srcdir)/../opcodes/$(CGEN_CPU_PREFIX)-desc.h \
2154 $(srcdir)/../opcodes/$(CGEN_CPU_PREFIX)-opc.h
2156 .PHONY: install-exec-local install-data-local
2157 .PHONY: install-exec-bindir install-exec-tooldir
2159 install-exec-local: install-exec-bindir @install_tooldir@
2161 install-exec-bindir: $(noinst_PROGRAMS)
2162 $(mkinstalldirs) $(DESTDIR)$(bindir)
2163 @list='$(noinst_PROGRAMS)'; for p in $$list; do \
2164 if test -f $$p; then \
2165 echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $$p $(bindir)/`echo $$p|sed -e 's/$(EXEEXT)$$//' -e 's/-new//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
2166 $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed -e 's/$(EXEEXT)$$//' -e 's/-new//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
2167 else :; fi; \
2168 done
2170 install-exec-tooldir: install-exec-bindir $(noinst_PROGRAMS)
2171 $(mkinstalldirs) $(DESTDIR)$(tooldir)/bin
2172 n=`echo as | sed '$(transform)'`; \
2173 if [ "$(bindir)/$$n$(EXEEXT)" != "$(tooldir)/bin/as$(EXEEXT)" ]; then \
2174 rm -f $(DESTDIR)$(tooldir)/bin/as$(EXEEXT); \
2175 ln $(DESTDIR)$(bindir)/$$n$(EXEEXT) $(DESTDIR)$(tooldir)/bin/as$(EXEEXT) >/dev/null 2>/dev/null \
2176 || $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) as-new$(EXEEXT) $(DESTDIR)$(tooldir)/bin/as$(EXEEXT); \
2177 else \
2178 true ; \
2181 # These exist for maintenance purposes.
2183 .PHONY: bootstrap bootstrap2 bootstrap3 stage1 stage2 stage3 comparison
2185 bootstrap: as-new$(EXEEXT)
2186 $(MAKE) stage1
2187 rm -f stage && ln -s stage1 stage
2188 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2189 $(MAKE) stage2
2190 rm -f stage && ln -s stage2 stage
2191 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2192 $(MAKE) comparison against=stage2
2194 bootstrap2:
2195 rm -f stage && ln -s stage1 stage
2196 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2197 $(MAKE) stage2
2198 rm -f stage && ln -s stage2 stage
2199 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2200 $(MAKE) comparison against=stage2
2202 bootstrap3:
2203 rm -f stage && ln -s stage2 stage
2204 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2205 $(MAKE) comparison against=stage2
2207 # Copy the object files from a particular stage into a subdirectory.
2208 stage1:
2209 -mkdir stage1
2210 -mv $(STAGESTUFF) stage1
2211 if [ -f stage1/as-new$(EXEEXT) -a ! -f stage1/as$(EXEEXT) ] ; then (cd stage1 ; ln -s as-new$(EXEEXT) as$(EXEEXT)) ; fi
2213 stage2:
2214 -mkdir stage2
2215 -mv $(STAGESTUFF) stage2
2216 if [ -f stage2/as-new$(EXEEXT) -a ! -f stage2/as$(EXEEXT) ] ; then (cd stage2 ; ln -s as-new$(EXEEXT) as$(EXEEXT)) ; fi
2218 stage3:
2219 -mkdir stage3
2220 -mv $(STAGESTUFF) stage3
2221 if [ -f stage3/as-new$(EXEEXT) -a ! -f stage3/as$(EXEEXT) ] ; then (cd stage3 ; ln -s as-new as$(EXEEXT)) ; fi
2223 comparison:
2224 x=0 ; \
2225 for file in *.@OBJEXT@ ; do \
2226 f1=./$$file; f2=${against}/$$file; \
2227 $(do_compare) > /dev/null 2>&1; \
2228 if test $$? -ne 0; then \
2229 echo $$file differs ; \
2230 x=1 ; \
2231 fi ; \
2232 done ; \
2233 exit $$x
2234 -rm -f tmp-foo*
2236 .PHONY: de-stage1 de-stage2 de-stage3
2238 de-stage1:
2239 - (cd stage1 ; rm -f as$(EXEEXT) ; mv -f * ..)
2240 - rmdir stage1
2242 de-stage2:
2243 - (cd stage2 ; rm -f as$(EXEEXT) ; mv -f * ..)
2244 - rmdir stage2
2246 de-stage3:
2247 - (cd stage3 ; rm -f as$(EXEEXT) ; mv -f * ..)
2248 - rmdir stage3
2250 doc/asconfig.texi: doc/$(CONFIG).texi doc/$(am__dirstamp)
2251 $(AM_V_at)rm -f doc/asconfig.texi
2252 $(AM_V_GEN)cp $(srcdir)/doc/$(CONFIG).texi doc/asconfig.texi && touch -m -r $(srcdir)/doc/$(CONFIG).texi doc/asconfig.texi
2253 $(AM_V_at)chmod u+w doc/asconfig.texi
2255 # Maintenance
2257 # We need it for the taz target in ../Makefile.in.
2258 info-local: $(MANS)
2260 # Build the man page from the texinfo file
2261 # The sed command removes the no-adjust Nroff command so that
2262 # the man output looks standard.
2263 doc/as.1: $(srcdir)/doc/as.texi doc/asconfig.texi $(CPU_DOCS) doc/$(am__dirstamp)
2264 $(AM_V_GEN)touch $@
2265 $(AM_V_at)-$(TEXI2POD) $(MANCONF) < $(srcdir)/doc/as.texi > doc/as.pod
2266 $(AM_V_at)-($(POD2MAN) doc/as.pod | \
2267 sed -e '/^.if n .na/d' > $@.T$$$$ && \
2268 mv -f $@.T$$$$ $@) || \
2269 (rm -f $@.T$$$$ && exit 1)
2270 $(AM_V_at)rm -f doc/as.pod
2272 html-local: doc/as/index.html
2273 doc/as/index.html: doc/as.texi $(doc_as_TEXINFOS) doc/$(am__dirstamp)
2274 $(AM_V_GEN)$(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) \
2275 --split=node -I$(srcdir)/doc -o doc/as $(srcdir)/doc/as.texi
2277 # Tell versions [3.59,3.63) of GNU make to not export all variables.
2278 # Otherwise a system limit (for SysV at least) may be exceeded.
2279 .NOEXPORT: